<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Dveloppement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Scurit
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 )
{
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}

$page_texte .='<div align="center">';

// ---------------------------------------- PHASE UPLOAD ----------------------------------------------- //


if (isset($_POST['execute'])) { 
		$tabExt = array('jpg','gif','png','jpeg');
		$extension = '';
		$max_size = "3000000000"; // TAILLE MAX DU FICHIER
		$max_height = "800";   // 800 PIXELS MAX HAUTEUR
		$max_width = "800";    // 800 PIXELS MAX LARGEUR
		$time=time();
		$path = $_SERVER['DOCUMENT_ROOT']; // root path
		$dirname = '/images/bibliotheque'; // REPERTOIRE DE STOCKAGE CREE DEPUIS LE ROOT
		$chmod = 0755; // PERMISSION ECRITURE
		if( !empty($_FILES['mon_fichier']['name']) ) {
			$extension  = pathinfo($_FILES['mon_fichier']['name'], PATHINFO_EXTENSION);
				if(in_array(strtolower($extension),$tabExt)) {
					$filename = 'img_'.$time.'.'.$extension; // FORCE LE NOM DU FICHIER MESURE ANTI HACK
				}        
				else { // SINON ON AFFICHE UNE ERREUR POUR L'EXTENSION
					$page_texte .= 'L&acute;extension du fichier est incorrecte !<br /><a href="javascript:history.back();">Retour</a>'; exit();
				}
		}
		else {
			$page_texte .= 'Fichier inexistant ... <br /><a href="javascript:history.back();">Retour</a>'; exit(); // SINON ERREUR "FICHIER VIDE"
		}
		
		if($_FILES['mon_fichier']['size'] > $max_size) {
			//echo 'Taille du fichier trop grande !<br /><a href="javascript:history.back();">Retour</a>';
			$page_texte .= '<script>alert(\'Taille du fichier trop grande !\');history.back(-1);</script>';
			exit;
		}
		
		if ($max_width && $max_height) {
			list($width, $height, $type, $w) = getimagesize($_FILES['mon_fichier']['tmp_name']);
			if($width > $max_width || $height > $max_height) {
				//echo 'Hauteur ou largeur trop grande !<br /><a href="javascript:history.back();">Retour</a>';
				$page_texte .= '<script>alert(\'Hauteur ou largeur trop grande !\');history.back(-1);</script>';
				exit;
			}  
		}
		
		$filesize = $_FILES['mon_fichier']['size']; 
		$filetype = $_FILES['mon_fichier']['type']; 
		$file_tmp = $_FILES['mon_fichier']['tmp_name']; 
		$file_err = $_FILES['mon_fichier']['error']; 
		$file_ext = strrchr($filename, '.'); 
	
		
		if (($file_err == 0) && ($filesize != 0)) { 
			if (!$file_ext) { 
				unlink($file_tmp); 
				die('Fichier sans extension ... '); 
			} 
			if (is_uploaded_file($file_tmp)) { 
				$dir = $path . $dirname; //  TEST EXISTENCE DU REPERTOIRE POUR UPLOADER SINON CREATION
				if (!is_dir($dir)) { 
					$dir = explode('/', $dirname); 
					foreach ($dir as $sub_dir) { 
						$path .= '/' . $sub_dir; 
						if (!is_dir($path)) { 
							if (!mkdir($path, $chmod)) { 
								unlink($file_tmp); 
								die('<strong> Erreur : </strong> R&eacute;pertoire inexistant impossible &agrave; &eacute;crire ... '); 
							} 
						} 
					} 
				} 
				// TOUT FONCTIONNE ON DEPLACE LE FICHIER
				if (@move_uploaded_file($file_tmp, $dir . '/' . $filename)) { 
				$page_texte .= 'Upload r&eacute;ussi !<br /><br />';
				$page_texte .= '<br /><img src="'.$dirname.'/'.$filename.'" alt="'.$filename.'" border="0" width="'.$width.'" /><br />';
				$page_texte .= 'Nom de l&acute;image : '.$filename;
				$page_texte .= '<br /><br /><u>Lien &agrave; <b>copier/coller</b> dans l&acute;&eacute;diteur</u><br /><form>
					  <textarea name="box" cols="50" rows="2"><img src="'.$dirname.'/'.$filename.'" /></textarea>
					  <br /><input type="button" value="S&eacute;lectionner le code" onClick="javascript:this.form.box.focus();this.form.box.select();">
					  </form><br />';
				$page_texte .= '<br /><br /><h3> <a href="index.' . EXT . '?page=Administration_upload">Retour au formulaire de saisie</a></h3>';
				} 
				else { // erreur
					unlink($file_tmp); 
					$page_texte .= '<strong> Erreur : </strong> d&eacute;placement vers notre site impossible ... <br /><a href="javascript:history.back();">Retour</a>'; 
				} 
			} 
			else { // fichier suspect
				unlink($file_tmp); 
				$page_texte .= '<strong> Erreur : </strong> Fichier invalide ... attaque potentielle ... <br /><a href="javascript:history.back();">Retour</a>'; 
			} 
		} 
		else { // vidage temp file si erreur affichee
			if ($file_tmp != '') { 
				unlink($file_tmp); 
			} 
			switch ($file_err) { 
				case '0': 
					$page_texte .= 'Fichier non valide ... <br /><a href="javascript:history.back();">Retour</a>'; 
				break; 
				case '1': 
					$page_texte .= 'Le fichier ' . $filesize . ' d&eacute;passe les limites autoris&eacute;es par notre site ... '. 
					'<br>contacter l&acute;administrateur ... <br /><a href="javascript:history.back();">Retour</a>'; 
				break; 
				case '2': 
					$page_texte .= 'Taille non autoris&eacute;e depuis le formulaire ... <br /><a href="javascript:history.back();">Retour</a>'; 
				break; 
				case '3': 
					$page_texte .= 'Il y a eu une coupure durant le chargement ... <br /><a href="javascript:history.back();">Retour</a>';
				break;
				case '4': 
					$page_texte .= 'Vous n&acute;avez rien &agrave; charger veuillez recommencer ... <br /><a href="javascript:history.back();">Retour</a>'; 
				break; 
			} 
		} 
	$time='';       //SECURITE
	$extension='';  //SECURITE
	$_POST='';      //SECURITE
	$_FILES='';     //SECURITE
	unset($_FILES); //SECURITE
	unset($_POST);  //POUR REAFFICHER LE FORMULAIRE  
} 
else { 
   $page_texte .='<h1>Upload d&acute;images &agrave; ins&eacute;rer dans l&acute;&eacute;diteur en taille r&eacute;elle</h1><br />';
   $page_texte .='<div class="attention">Ne pas utiliser pour les images du Forum !</div>';
   $page_texte .='
   <div align="center">
    <p align="center">Taille maximum en largeur ou en hauteur limit&eacute; &agrave; <b>400px</b> pour un poid maximum de <b>2 Mo</b>.<br />Merci de v&eacute;rifier la taille de vos images avant de les t&eacute;l&eacute;charger !</p><br />
    <form method="post" action="index.' . EXT . '?page=Administration_upload" enctype="multipart/form-data"> 
    <p>Choisir un fichier&nbsp;&nbsp;:&nbsp;&nbsp;<input type="file" name="mon_fichier" tabindex="1" />&nbsp;&nbsp; 
    <input type="hidden" name="execute" value="1" /><input type="submit" value="Uploader" tabindex="2" /> 
    </form> 
    </div>
	';
} 
$page_texte .='<br />';
$page_texte .='<br />';
$page_texte .='<a href="index.' . EXT . '?page=Administration_liste_upload">Voir les images d&eacute;j&agrave; disponibles</a>';
$page_texte .='</div>';
?>