<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droit de super-administration
if ( $_SESSION['groupe'] != 3 ) {
    $page_msg = 14;
    include_once ( './systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = $langue['bloquage'];
$page_infos = $langue['administration_texte'];

// Traitement des données du formulaire
if ( isset ( $_GET['ok'] ) ) {
    if ( $configuration['bloquage'] == 1 ) {
        $sql = 'UPDATE ' . $database->pref . "configuration
                SET config_valeur = '0'
                WHERE config_nom= 'bloquage';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
    }
    else {
        $sql = 'UPDATE ' . $database->pref . "configuration
                SET config_valeur = '1'
                WHERE config_nom = 'bloquage';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
    }

    header ( 'Location: index.' . EXT . '?page=Bloquage' );
    die ( -1 );
}

if ( $configuration['bloquage'] == 1 ) {
    $page_texte .= '<p>Le site est actuellement fermé.<br /><a href="index.' . EXT . '?page=Bloquage&amp;ok">Ouvrir le site</a></p>' . "\n\n";
}
else {
    $page_texte .= '<p>Le site est actuellement ouvert.<br /><a href="index.' . EXT . '?page=Bloquage&amp;ok">Fermer le site</a></p>' . "\n\n";
}

// Traitement du formulaire
if ( isset ( $_POST['submit'] ) ) {
    if ( empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' ) {
        $page_texte .= '!';
    }
    else {
        $sql = 'UPDATE ' . $database->pref . "configuration
                SET config_valeur = '" . $database->Protege ( $_POST['texte'] ) . "'
                WHERE config_nom = 'bloquage_texte';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        header ( 'Location; index.' . EXT . '?page=Bloquage' );
        die ( -1 );
    }
}

$form_champ_texte = $configuration['bloquage_texte'];

// Pas de JavaScript
$page_texte .= "<noscript>\n<p><strong>" . $langue['attention'] . "&nbsp;:</strong> Vous n'avez pas activé JavaScript, vous ne pouvez donc pas utiliser les boutons du formulaire pour éditer votre article et vous ne pourrez pas en avoir un aperçu.</p>\n</noscript>\n\n";

$page_texte .= '<form action="index.' . EXT . '?page=Bloquage" method="post" title="Raisons du bloquage' . "\">\n\n";
$page_texte .= "<fieldset>\n<legend>Raisons du bloquage</legend>\n";

include ( './systeme/formulaire.' . EXT );

$page_texte .= "\n</fieldset>\n\n";
$page_texte .= "<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" /></p>\n\n</form>\n";
?>