<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Dveloppement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Scurit
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

if ( $_SESSION['groupe'] == 1 ) {
    header ( 'Location: index.' . EXT );
    die ( -1 );
}

$from = ( isset ( $_GET['from'] ) ) ? $_GET['from'] : '0';
$orderby='date DESC';

$page_texte .='<table cellspacing="0" align="center"><thead>';
  $page_texte .='<tr>';
    $page_texte .='<th width="20%">Nom du document</th>';
    $page_texte .='<th width="60%">Description</th>';
    $page_texte .='<th width="10%">Ajout&eacute; le</th>';
    $page_texte .='<th width="10%">Hits</th>';
  $page_texte .='</tr></thead>';

$sql  = "SELECT id, titre, description, clic, ";
$sql .= "DATE_FORMAT(date,'%d-%m-%Y') AS datefr ";
$sql .= "FROM " . $database->pref . "gestiondl ORDER BY " . $orderby ." ";
$sql .= "LIMIT " . $from . ", 10";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
	
	$titre = stripslashes ( $row['titre'] );
	$description = stripslashes ( $row['description'] );	

  $page_texte .='<tr>';
	$page_texte .='<td align="center" style="font-weight:bold;"><a href="index.' . EXT . '?page=DL_telecharger&id='.$row['id'].'" onclick="window.open(this.href);return false;">'.$titre.'</a></td>';
	
	$page_texte .='<td>' . $description . '</td>';
	
	$page_texte .='<td align="center" style="font-weight:bold;">' . $row['datefr'] . '</td>';
	
	$page_texte .='<td align="center" style="font-weight:bold;">' . $row['clic'] . '</td>';
	
  $page_texte .='</tr>';
}
$page_texte .='</table>';

// *******************************************************
// Affichage de page prcdente - page suivante
// *******************************************************
$fromprec = $from - 10;
$fromsuiv = $from + 10;
$sql = "SELECT COUNT(id) 
		AS clic 
		FROM " . $database->pref . "gestiondl";
		
$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
$row = $database->ResultArray ( $req );
$nb_telech = $row['clic'];

$url = ( isset ( $_GET['type'] ) ) ? '&type='.$_GET['type'] : '';

$page_texte .= '<p align="center">';
if ($fromprec >= 0) {
	$page_texte .= '<a href="index.' . EXT . '?page=DL&from='.$fromprec.$url.'">Page prcdente</a>';
}
if ( ( $fromprec >= 0 ) && ( $fromsuiv < $nb_telech ) ) {
	$page_texte .= ' - ';
}
if ( $fromsuiv < $nb_telech ) {
	$page_texte .= '<a href="index.' . EXT . '?page=DL&from='.$fromsuiv.$url.'">Page Suivante</a>';
}
$page_texte .= '</p>';
?>
