<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

if ( $_SESSION['groupe'] == 1 ) {
    $page_msg = 21;
    include_once ( 'systeme/msg.' . EXT );
}

// Le super-administrateur ne peut pas se déconnecter en cas de bloquage
if ( $droit['administration'] == 1 && $configuration['bloquage'] == 1 ) {
    $page_msg = 22;
    include_once ( 'systeme/msg.' . EXT );
}

// Suppression des variables de session
$_SESSION = array ();

// Suppression des cookies
setcookie ( 'membre_nom' );
setcookie ( 'membre_id' );
setcookie ( 'membre_mdp' );

header ( 'Location: index.' . EXT );
die ( -1 );
?>