<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = 'Livre d\'or';
$page_infos = 'Livre d\'or';

$sql = 'SELECT COUNT(*) AS count
        FROM ' . $database->pref . 'livre_or;';

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$nbr_msg = $database->Result ( $req , 'count' );

if ( isset ( $_GET['msg'] ) && is_numeric ( $_GET['msg'] ) && $nbr_msg > 0  && $_GET['msg'] > 0 ) {
    $page = 0;

    $sql = 'SELECT livre_id
            FROM ' . $database->pref . "livre_or
            WHERE livre_id <= '" . $_GET['msg'] . "'
            ORDER BY livre_time ASC;";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    header ( 'Location: index.' . EXT . '?page=Liste_mes_livre_or&start=' . $page );
    die ( -1 );
}

// Suppression définitive
else if ( isset ( $_GET['delete'] ) ) {
	$page = 0;
	
	$sql = 'DELETE FROM ' . $database->pref . "livre_or
			WHERE livre_id = '" . $_GET['id'] . "';";

	$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

	header ( 'Location: index.' . EXT . '?page=Merci_supp_Livre' );
	die ( -1 );
}

// Actif / Desactif
else if ( isset ( $_GET['actif'] ) ) {
	$page = 0;
	$sql = 'UPDATE ' . $database->pref . "livre_or 
		    SET livre_actif= '1' 
		    WHERE livre_id = '" . $_GET['id'] . "';";

	$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

	header ( 'Location: index.' . EXT . '?page=Merci_Actif_Livre' );
	die ( -1 );
}

else if ( isset ( $_GET['desactif'] ) ) {
	$page = 0;
	$sql = 'UPDATE ' . $database->pref . "livre_or 
		    SET livre_actif= '0' 
		    WHERE livre_id = '" . $_GET['id'] . "';";

	$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

	header ( 'Location: index.' . EXT . '?page=Merci_Desactif_Livre' );
	die ( -1 );
}

if ( $nbr_msg > 0 ) {
    $sql = "SELECT livre_id,
                   livre_time,
                   livre_membre,
                   livre_auteur,
                   livre_texte,
				   livre_actif
            FROM " . $database->pref . 'livre_or
            ORDER BY livre_time DESC';

    //=>MySQL
    $row = $database->ResultArray ( $req );
    //=>END

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$page_texte .='<div style="text-align:center; font-weight:bold; color:#F00;">Ici vous supprimez ou activer les messages du livre d\'or.<br />Attention l\'action de suppression est irréversible !</div>';
if ( $database->NbrRowsSelected ( $req ) > 0 ) {

	while ( $configuration['page_livre_or'] && $row = $database->ResultArray ( $req ) ) {
			
			$page_texte .= "<div class=\"livre_bloc\" id=\"msg_" . $row['livre_id'] . "\">\n\n";
			$page_texte .= '<div class="livre_infos">Le ' . date ( $configuration['format_date'] , $row['livre_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['livre_time'] + $configuration['decalage'] ) . ' par ';
	
			if ( $row['livre_membre'] > 0 ) {
				$page_texte .= '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['livre_membre'] . '">' . $row['livre_auteur'] . '</a>
				&nbsp;|&nbsp;<a href="index.' . EXT . '?page=Liste_mes_livre_or&start=' . $page .'&amp;id=' . $row['livre_id'] . '&amp;delete">Supprimer</a>';
				if ( $row['livre_actif'] == 1 ) {
					$page_texte .= '&nbsp;|&nbsp;<a href="index.' . EXT . '?page=Liste_mes_livre_or&start=' . $page .'&amp;id=' . $row['livre_id'] . '&amp;desactif">D&eacute;sactiver</a>';
				}
				else {
					$page_texte .= '&nbsp;|&nbsp;<a href="index.' . EXT . '?page=Liste_mes_livre_or&start=' . $page .'&amp;id=' . $row['livre_id'] . '&amp;actif">Activer</a>';	
				}
			}
			
			else {
				$page_texte .= $row['livre_auteur'] . '
				&nbsp;|&nbsp;<a href="index.' . EXT . '?page=Liste_mes_livre_or&start=' . $page .'&amp;id=' . $row['livre_id'] . '&amp;delete">Supprimer</a>;';
				if ( $row['livre_actif'] == 1 ) {
					$page_texte .= '&nbsp;|&nbsp;<a href="index.' . EXT . '?page=Liste_mes_livre_or&start=' . $page .'&amp;id=' . $row['livre_id'] . '&amp;desactif">D&eacute;sactiver</a>';
				}
				else {
					$page_texte .= '&nbsp;|&nbsp;<a href="index.' . EXT . '?page=Liste_mes_livre_or&start=' . $page .'&amp;id=' . $row['livre_id'] . '&amp;actif">Activer</a>';	
				}
			}
			
        $msg_texte = $row['livre_texte'];
		
        $page_texte .= "</div>\n<div class=\"livre_msg\">" . $site->Parser ( $msg_texte ) . "</div>\n\n</div>\n";//
    }
}

else {
		$page_texte .= "<tr>\n  <td colspan=\"6\">" . $langue['aucun_message'] . "</td>\n</tr>\n";
}
}
?>