<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droit d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = 'Liste des membres supprimés';
$page_infos = 'Liste des membres supprimés';

$sql = "SELECT membre_id,
               membre_nom
        FROM " . $database->pref . "membres
        WHERE
                membre_actif = '0'
            AND membre_cle = '0'
        ORDER BY membre_nom ASC;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) === 0 ) {
    $page_texte .= "<p>Il n'y a aucun membre supprimé.</p>\n\n";
}
else {
    $page_texte .= "<ul>\n";

    while ( $row = $database->ResultArray ( $req ) ) {
        $page_texte .= '  <li><a href="index.' . EXT . '?page=Membre&amp;id=' . $row['membre_id'] . '">' . $row['membre_nom'] . '</a>&nbsp;: ';
        $page_texte .= '<a href="index.' . EXT . '?page=Supprimer_un_membre&amp;id=' . $row['membre_id'] . '&amp;retablir">' . $langue['retablir'] . '</a>';
        $page_texte .= ' - <a href="index.' . EXT . '?page=Supprimer_un_membre&amp;id=' . $row['membre_id'] . '&amp;delete">Supprimer définitivement</a>';
        $page_texte .= "</li>\n";
    }
    $page_texte .= "</ul>\n\n";
}
?>