<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droit d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( 'systeme/msg.' . EXT );
}

// Valider l'inscription d'un membre
if ( isset ( $_GET['id'] ) && is_numeric ( $_GET['id'] ) && $_GET['id'] > 0 ) {
    $sql = "UPDATE `" . $database->pref . "membres`
            SET `membre_actif` = '1',
                `membre_cle` = '0',
                `membre_visite` = '" . $time . "'
            WHERE
                    `membre_id` = '" . $_GET['id'] . "'
                AND `membre_actif` = '0'
                AND `membre_cle` <> '0';";

    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    header ( 'Location: index.' . EXT . '?page=Membres_validation' );
    die ( -1 );
}

// Titre de la page
$page_titre = 'Membres en attente de validation';
$page_infos = 'Membres en attente de validation';

$sql = "SELECT `membre_id`,
               `membre_nom`,
               `membre_inscription`
        FROM `" . $database->pref . "membres`
        WHERE
                `membre_actif` = '0'
            AND `membre_cle` <> '0'
        ORDER BY `membre_nom` ASC;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) === 0 ) {
    $page_texte .= "<p>Il n'y a aucun membre en attente de validation</p>\n\n";
}
else {
    $page_texte .= "<ul>\n";

    while ( $row = $database->ResultArray ( $req ) ) {
        $page_texte .= '  <li>' . $row['membre_nom'] . ' (' . date ( $configuration['format_date'] , $row['membre_inscription'] ) . ')&nbsp;: ';
        $page_texte .= '<a href="index.' . EXT . '?page=Membres_validation&amp;id=' . $row['membre_id'] . '">Valider l\'inscription</a>';
        $page_texte .= ' - <a href="index.' . EXT . '?page=Supprimer_un_membre&amp;id=' . $row['membre_id'] . '&amp;delete">Supprimer définitivement</a>';
        $page_texte .= "</li>\n";
    }
    $page_texte .= "</ul>\n\n";
}
?>