<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droit d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( 'systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = $langue['modifier_membre'];
$page_infos = $langue['administration_texte'];

if ( isset ( $_POST['submit'] ) ) {
    // S'il veut modifier sa fiche, pas besoin d'id
    if ( $_POST['nom'] == $_SESSION['membre'] ) {
        header ( 'Location: index.' . EXT . '?page=Preferences' );
        die ( -1 );
    }

    $sql = "SELECT `membre_id`
            FROM `" . $database->pref . "membres`
            WHERE `membre_nom` = '" . $_POST['nom'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // On vérifie que le membre existe
    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_membre_inconnu'] . "</p>\n\n";
    }
    else {
        $row = $database->ResultArray ( $req );

        header ( 'Location: index.' . EXT . '?page=Preferences&id=' . $row['membre_id'] );
        die ( -1 );
    }
}

// Formulaire
$page_texte .= '<form action="index.' . EXT . '?page=Modifier_un_membre" title="' . $langue['modifier_membre'] . "\" method=\"post\">\n\n";
$page_texte .= "<fieldset>\n<legend>" . $langue['modifier_membre'] . "</legend>\n\n";
$page_texte .= '<p class="form_input"><label for="id_nom">' . $langue['user'] . " :</label> <input type=\"text\" name=\"nom\" size=\"30\" id=\"id_nom\" value=\"\" /> <input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" /></p>\n\n";
$page_texte .= "</fieldset>\n\n</form>";
?>