<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Titre de la page
$page_titre = 'Newsletter';
$page_infos = 'Inscription ou D&eacute;sinscription &agrave; la Newsletter';

if ( isset ( $_GET['email'] ) ) {

	if ( !empty ( $_POST['email'] ) AND $_GET['email'] == 1 AND isset ( $_POST['new'] ) ) {
		if ( preg_match ( "#^[a-z0-9._-]+@[a-z0-9._-]{2,}\.[a-z]{2,4}$#" , $_POST['email'] ) ) {
			
			$sql = 'SELECT COUNT(*) AS count
						FROM ' . $database->pref . 'newsletter
						WHERE email = "'. $_POST['email'].'";';
						
			$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
			$nbr_email = $database->Result ( $req , 'count' );
			
			if ( $_POST['new'] == 0 && $nbr_email == 0 ) {
			
			$email = $_POST['email'];
			$message = 'Pour valider votre inscription &agrave; la newsletter, <a href="http://www.woopress.fr/index.php?page=Newsletter_inscription&amp;tru=1&amp;email='.$email.'">cliquez ici</a>.';
 
			$destinataire = $email;
			$objet = "Inscription &agrave; la newsletter" ;
 
			$headers  = 'MIME-Version: 1.0' . "\r\n";
			$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
			$headers .= 'From: contact@woopress.fr' . "\r\n";
				if ( mail ( $destinataire, $objet, $message, $headers ) ) {
					$page_texte .="<p style=\"text-align:center; font-weight:bold; color:#F00;\">Pour valider votre inscription, veuillez cliquer sur le lien dans l&acute;e-mail que nous venons de vous envoyer.</p>";
				}
				else {
					$page_texte .="<p style=\"text-align:center; font-weight:bold; color:#F00;\">Il y a eu une erreur lors de l&acute;envoi du mail pour votre inscription.</p>";
				}
			}
			elseif ( $_POST['new'] == 1 && $nbr_email != 0 ) {
 
			$email = $_POST['email'];
			$message = 'Pour valider votre d&eacute;sinscription de la newsletter, <a href="http://www.woopress.fr/index.php?page=Newsletter_desinscription&amp;tru=1&amp;email='.$email.'">cliquez ici</a>.';
 
			$destinataire = $email;
			$objet = "D&eacute;sinscription de la newsletter" ;
 
			$headers  = 'MIME-Version: 1.0' . "\r\n";
			$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
			$headers .= 'From: contact@woopress.fr' . "\r\n";
				if ( mail ($destinataire, $objet, $message, $headers ) ) {
					$page_texte .="<p style=\"text-align:center; font-weight:bold; color:#F00;\">Pour valider votre d&eacute;sinscription, veuillez cliquer sur le lien dans l&acute;e-mail que nous venons de vous envoyer.</p>";
				}
				else {
					$page_texte .="<p style=\"text-align:center; font-weight:bold; color:#F00;\">Il y a eu une erreur lors de l&acute;envoi du mail pour votre d&eacute;sinscription.</p>";
				}
			}
			else {
				$page_texte .="<p style=\"text-align:center; font-weight:bold; color:#F00;\">Il existe d&eacute;j&agrave; un membre avec cette adresse email.<br /><a href=\"index.php?page=Newsletter\">RETOUR</a></p>";
			}
	}
	else {
		$page_texte .="<p style=\"text-align:center; font-weight:bold; color:#F00;\">Vous n&acute;avez pas entr&eacute; une adresse e-mail valide !<br /><a href=\"index.php?page=Newsletter\">RETOUR</a></p></p>";
	}
	}
	else {
		$page_texte .="<p style=\"text-align:center; font-weight:bold; color:#F00;\">Il y a eu une erreur !<br /><a href=\"index.php?page=Newsletter\">RETOUR</a></p></p>";
	}
}
else {
	$page_texte .= "<form method=\"post\" action=\"index.php?page=Newsletter&amp;email=1\">";
	$page_texte .= "<fieldset>\n<legend>Ici vous pouvez vous inscrire ou vous d&eacute;sinscrire de la newsletter de Tagadash.</legend>\n\n
	<p align=\"center\"><u>Entrez votre adresse e-mail ci-dessous :</u><br />
	<input type=\"text\" name=\"email\" size=\"25\" /><br />
	<u>Faite votre choix en cochant <b><i>Inscription</i></b> ou <b><i>D&eacute;sincription</i></b> ci-dessous :</u><br />
	S&acute;inscrire &agrave; la Newsletter <input type=\"radio\" name=\"new\" value=\"0\" /><br />
	Se d&eacute;sinscrire de la Newsletter <input type=\"radio\" name=\"new\" value=\"1\" /><br /><br />
	<input type=\"submit\" value=\"Envoyer\" name=\"submit\" /> <input type=\"reset\" name=\"reset\" value=\"Effacer\" /></p>
	</fieldset></form>";
}
?>