<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


if ( !isset ( $form_champ_texte ) ) $form_champ_texte = '';


$page_texte .= "
<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/form_gras.png\" alt=\"Gras\" title=\"Gras\" onclick=\"balise('<gras>','</gras>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_italique.png\" alt=\"Italique\" title=\"Italique\" onclick=\"balise('<italique>','</italique>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_souligne.png\" alt=\"Souligné\" title=\"Souligné\" onclick=\"balise('<souligne>','</souligne>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_barre.png\" alt=\"Barré\" title=\"Barré\" onclick=\"balise('<barre>','</barre>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_guillemets.png\" alt=\"Guillemets\" title=\"Guillemets\" onclick=\"javascript:balise('«&nbsp;','&nbsp;»');preview();\" class=\"bouton\" />
</span>

<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/form_liste.png\" alt=\"Liste à puces\" title=\"Liste à puces\" onclick=\"ajoute_liste()\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_citation.png\" alt=\"Citation\" title=\"Citation\" onclick=\"ajoute_balise('citation','nom','Veuillez indiquer l\'auteur de la citation', '')\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_image.png\" alt=\"Image\" title=\"Image\" onclick=\"window.open ( 'redirect.php?p=Images&form=msg' , '' , 'toolbar=0,location=0,directories=0,status=1,menubar=0,scrollbars=yes,resizable=yes,width=800,height=600' );preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_lien.png\" alt=\"Lien\" title=\"Lien\" onclick=\"ajoute_balise('lien','titre','Veuillez indiquer l\'adresse du lien', 'balise')\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_mail.png\" alt=\"E-mail\" title=\"E-mail\" onclick=\"ajoute_balise('email','nom','Veuillez indiquer l\'adresse email', 'balise')\" class=\"bouton\" />
</span>

<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/icone_info.png\" alt=\"Information\" title=\"Information\" onclick=\"balise('<information>','</information>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_attention.png\" alt=\"Attention\" title=\"Attention\" onclick=\"balise('<attention>','</attention>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_erreur.png\" alt=\"Erreur\" title=\"Erreur\" onclick=\"balise('<erreur>','</erreur>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_question.png\" alt=\"Question\" title=\"Question\" onclick=\"balise('<question>','</question>');preview();\" class=\"bouton\" />
</span>

<br />

<span class=\"boutons\">
  <small>Smilies&nbsp;:</small>
  <img src=\"themes/commun/images/smilies/01.png\" title=\":)\" alt=\":)\" onclick=\"balise( ':)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/02.png\" title=\":D\" alt=\":D\" onclick=\"balise( ':D' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/03.png\" title=\";)\" alt=\";)\" onclick=\"balise( ';)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/04.png\" title=\":p\" alt=\":p\" onclick=\"balise( ':p' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/05.gif\" title=\":lol:\" alt=\":lol:\" onclick=\"balise( ':lol:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/06.gif\" title=\":euh:\" alt=\":euh:\" onclick=\"balise( ':euh:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/07.png\" title=\":(\" alt=\":(\" onclick=\"balise( ':(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/08.png\" title=\":o\" alt=\":o\" onclick=\"balise( ':o' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/09.png\" title=\":colere:\" alt=\":colere:\" onclick=\"balise( ':colere:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/10.gif\" title=\"o_O\" alt=\"o_O\" onclick=\"balise( 'o_O' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/11.png\" title=\"^^\" alt=\"^^\" onclick=\"balise( '^^' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/12.png\" title=\":-°\" alt=\":-°\" onclick=\"balise( ':-°' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/13.png\" title=\":'(\" alt=\":'(\" onclick=\"balise( ':\'(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/14.png\" title=\">_<\" alt=\">_<\" onclick=\"balise( '>_<' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/15.gif\" title=\":mdr:\" alt=\":mdr:\" onclick=\"balise( ':mdr:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/16.gif\" title=\":10:\" alt=\":10:\" onclick=\"balise( ':10:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/17.gif\" title=\":oop:\" alt=\":oop:\" onclick=\"balise( ':oop:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/18.gif\" title=\":jsort:\" alt=\":jsort:\" onclick=\"balise( ':jsort:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/19.gif\" title=\":tsort:\" alt=\":tsort:\" onclick=\"balise( ':tsort:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/20.gif\" title=\":up:\" alt=\":up:\" onclick=\"balise( ':up:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/21.gif\" title=\":arf:\" alt=\":arf:\" onclick=\"balise( ':arf:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/22.gif\" title=\":kc:\" alt=\":kc:\" onclick=\"balise( ':kc:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/23.gif\" title=\":salut:\" alt=\":salut:\" onclick=\"balise( ':salut:' ,'');preview();\" class=\"bouton\" />
</span>

<br />

<span class=\"cleaner\">

  <select id=\"code_texte\" onchange=\"add_bal('code','type','code_texte')\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Code</option>
    <option value=\"html4strict\">(x)HTML</option>
    <option value=\"css\">CSS</option>
    <option value=\"xml\">XML</option>
    <option value=\"php\">PHP</option>
    <option value=\"mysql\">MySQL</option>
    <option value=\"c\">C</option>
    <option value=\"cpp\">C++</option>
    <option value=\"\">Autres</option>
  </select>

  <select id=\"position_texte\" onchange=\"add_bal('position','valeur','position_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Position</option>
    <option value=\"justifie\">Justifié</option>
    <option value=\"gauche\">À gauche</option>
    <option value=\"centre\" class=\"centre\">Centré</option>
    <option value=\"droite\" class=\"droite\">À droite</option>
  </select>

  <select id=\"flottant_texte\" onchange=\"add_bal('flottant','valeur','flottant_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Flottant</option>
    <option value=\"gauche\">À gauche</option>
    <option value=\"droite\" class=\"droite\">À droite</option>
  </select>

  <select id=\"taille_texte\" onchange=\"add_bal('taille','valeur','taille_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Taille</option>
    <option value=\"ttpetit\">Très très petit</option>
    <option value=\"tpetit\">Très petit</option>
    <option value=\"petit\">Petit</option>
    <option value=\"gros\">Gros</option>
    <option value=\"tgros\">Très gros</option>
    <option value=\"ttgros\">Très très gros</option>
  </select>

  <select id=\"couleur_texte\" onchange=\"add_bal('couleur','nom','couleur_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Couleur</option>
    <option value=\"rose\" class=\"rose\">rose</option>
    <option value=\"rouge\" class=\"rouge\">rouge</option>
    <option value=\"orange\" class=\"orange\">orange</option>
    <option value=\"jaune\" class=\"jaune\">jaune</option>
    <option value=\"vertc\" class=\"vertc\">vert clair</option>
    <option value=\"vertf\" class=\"vertf\">vert foncé</option>
    <option value=\"olive\" class=\"olive\">olive</option>
    <option value=\"turquoise\" class=\"turquoise\">turquoise</option>
    <option value=\"bleugris\" class=\"bleugris\">bleu-gris</option>
    <option value=\"bleu\" class=\"bleu\">bleu</option>
    <option value=\"marine\" class=\"marine\">marine</option>
    <option value=\"violet\" class=\"violet\">violet</option>
    <option value=\"marron\" class=\"marron\">marron</option>
    <option value=\"noir\" class=\"noir\">noir</option>
    <option value=\"gris\" class=\"gris\">gris</option>
    <option value=\"argent\" class=\"argent\">argent</option>
    <option value=\"blanc\" class=\"blanc\">blanc</option>
  </select>

  <select id=\"police_texte\" onchange=\"add_bal('police','nom','police_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Police</option>
    <option value=\"arial\" class=\"arial\">arial</option>
    <option value=\"times\" class=\"times\">times</option>
    <option value=\"courrier\" class=\"courrier\">courrier</option>
    <option value=\"impact\" class=\"impact\">impact</option>
    <option value=\"geneva\" class=\"geneva\">geneva</option>
    <option value=\"optima\" class=\"optima\">optima</option>
  </select>

  <select id=\"semantique_texte\" onchange=\"balise('&lt;'+this.value+'&gt;','&lt;/'+this.value+'&gt;');preview();this.options[0].selected=true;\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Sémantique</option>
    <option value=\"titre2\">Titre 2</option>
    <option value=\"titre3\">Titre 3</option>
  </select>
</span>

<div class=\"formulaire\">
  <textarea onselect=\"storeCaret();\" onclick=\"storeCaret();preview();\" onkeyup=\"storeCaret();preview();\" name=\"texte\" id=\"texte\" rows=\"10\" tabindex=\"15\">" . $form_champ_texte . "</textarea>
  <div id=\"preview_texte\" class=\"preview\"></div>
</div>
";

?>