<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


$menu_titre = 'Anniversaires';


$sql = "SELECT `membre_id`,
               `membre_nom`,
               `membre_anniversaire`
        FROM `" . $database->pref . "membres`
        WHERE
                DATE_FORMAT(`membre_anniversaire`,'%m-%d') = '" . date ( 'm-d' ) . "'
            AND `membre_actif` = '1';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) > 0 )
{
    $menu_texte = "<ul>\n";

    while ( $row = $database->ResultArray ( $req ) )
    {
        $menu_texte .= '<li><a href="index.' . EXT . '?page=Membre&amp;id=' . $row['membre_id'] . '">' . $row['membre_nom'] . '</a>&nbsp;: ';

        $anniversaire = explode ( '-' , $row['membre_anniversaire'] );

        $menu_texte .= ( date ( 'Y' ) - $anniversaire[0] ) . " ans</li>\n";
    }

    $menu_texte .= "</ul>\n\n";
}
else
{
    $menu_texte = '';
}

?>