<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


$menu_titre = $langue['communaute'];


$menu_texte = "<ul>\n";
$menu_texte .= '  <li><a href="index.' . EXT . '?page=Visiteurs" title="' . $langue['liste_visiteurs'] . '">' . $langue['visiteurs'] . "</a></li>\n";
$menu_texte .= '  <li><a href="index.' . EXT . '?page=Liste_des_membres" title="' . $langue['membres_texte'] . '">' . $langue['membres'] . "</a></li>\n";


// Membre connecté
if ( $_SESSION['groupe'] != 1 )
{
	$menu_texte.= '  <li><a href="index.' . EXT . "?page=DL\" title=\"Téléchargement\">Téléchargement</a></li>\n";
	$menu_texte.= '  <li><a href="index.' . EXT . "?page=Amis\" title=\"Gestion de vos amis\">Vos amis</a></li>\n";

    if ( $nbr_new_private_msg > 0 )
    {
        $menu_texte .= '  <li><a href="index.' . EXT . '?page=Messagerie" title="Gestion de vos messages">Vos messages</a> (' . $nbr_new_private_msg . ")</li>\n";
    }
    else
    {
        $menu_texte .= '  <li><a href="index.' . EXT . "?page=Messagerie\" title=\"Gestion de vos messages\">Vos messages</a></li>\n";
    }
}

// Envoyer des fichiers
if ( $droit['upload'] == 1 )
{
    $menu_texte .=  '  <li><a href="index.' . EXT . "?page=Envoyer_un_fichier\" title=\"Envoyer un fichier ou une image sur le site\">" . $langue['upload'] . "</a></li>\n";
    $menu_texte .= '  <li><a href="index.' . EXT . "?page=Liste_des_fichiers&amp;membre=" . $_SESSION['membre_id'] . "\" title=\"Liste des fichiers que vous avez envoyés\">Liste des fichiers</a></li>\n";
}

// Écrire un nouvel article
if ( $droit['article_edition_auteur'] == 1 || $droit['article_edition'] == 1 )
{
    $menu_texte .= '  <li><a href="index.' . EXT . "?page=Ajouter_un_article\">Nouvel article</a></li>\n";
}

$menu_texte .= "</ul>\n\n";

?>