<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


if ( !isset ( $page_msg ) ) $page_msg = 0;

switch ( $page_msg )
{
    default:
        $erreur_type = 1;
        $erreur_text = 'Erreur inconnue.';
        break;

    case 1:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de lire les articles.';
        break;

    case 2:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit d\'administrer le site.';
        break;

    case 3:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de créer ou d\'éditer ou de créer un article.';
        break;

    case 4:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de poster ou d\'éditer un commentaire de news.';
        break;

    case 5:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de poster ou d\'éditer un commentaire d\'article.';
        break;

    case 6:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de lire les news.';
        break;

    case 7:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de créer ou d\'éditer un sujet.';
        break;

    case 8:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de voir la fiche d\'un membre.';
        break;

    case 9:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de voir les sujets d\'un forum.';
        break;

    case 10:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de lire les messages d\'un sujet.';
        break;

    case 11:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de voir les résultats d\'un sondage.';
        break;

    case 12:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de répondre à un sondage.';
        break;

    case 13:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de supprimer un commentaire.';
        break;

    case 14:
        $erreur_type = 1;
        $erreur_text = 'Seul le super-administrateur du site peut accéder à cette page.';
        break;

    case 15:
        $erreur_type = 1;
        $erreur_text = 'Vous devez attendre avant de créer un nouveau sujet sur ce forum.';
        break;

    case 16:
        $erreur_type = 1;
        $erreur_text = 'Vous devez attendre avant de poster une nouvelle réponse sur ce sujet.';
        break;

    case 17:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit d\'éditer un message.';
        break;

    case 18:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de poster une réponse.';
        break;

    case 19:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de supprimer un message.';
        break;

    case 20:
        $erreur_type = 1;
        $erreur_text = 'Les membres connectés n\'ont pas accès à cette page.';
        break;

    case 21:
        $erreur_type = 1;
        $erreur_text = 'Les visiteurs non enregistrés n\'ont pas accès à cette page.';
        break;

    case 22:
        $erreur_type = 1;
        $erreur_text = 'Le site est actuellement fermé. Si vous vous déconnectez, il faudra accéder à la base de données pour pouvoir l\'ouvrir.';
        break;

    case 23:
        $erreur_type = 1;
        $erreur_text = 'Vous ne pouvez pas envoyer plus de ' . $configuration['nbr_msg'] . ' messages.';
        break;

    case 24:
        $erreur_type = 1;
        $erreur_text = 'Vous n\'avez pas le droit de déplacer un sujet vers un autre forum.';
        break;

    case 25:
        $erreur_type = 0;
        $erreur_text = 'Un e-mail a été envoyé à votre adresse pour valider votre inscription.';
        break;

    case 26:
        $erreur_type = 1;
        $erreur_text = 'Impossible de déplacer le fichier.';
        break;

    case 27:
        $erreur_type = 0;
        $erreur_text = 'Un e-mail a été envoyé à votre adresse pour confirmer cette demande de nouveau mot de passe.';
        break;

    case 28:
        $erreur_type = 0;
        $erreur_text = 'Votre compte sera actif quand l\'administrateur du site l\'aura validé.';
        break;
}

$page_texte .= '<div class="';

if ( $erreur_type == 1 )
{
    $page_titre = 'Erreur';
    $page_texte .= 'erreur';
}
else
{
    $page_titre = 'Information';
    $page_texte .= 'information';
}

$page_texte .= '">' . $erreur_text . "</div>\n\n";
$page_texte .= "<p><a href=\"#\" onclick=\"javascript:history.back(-1);return false;\">Page précédente</a> - <a href=\"index." . EXT . "\">Page d'accueil</a></p>\n";

$page_simple = 1;
$page_CSS = "<link rel=\"stylesheet\" type=\"text/css\" media=\"screen\" title=\"" . $configuration['style'] . '" href="themes/' . $configuration['style'] . "/styles/texte.css\" />\n";

include_once ( 'systeme/page.' . EXT );

?>