<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

if ( is_file ( 'configuration.php' ) ) {
    include_once ( 'configuration.php' );
}

////////////////////
// Inclusion du fichier principal
////////////////////

if ( is_file ( 'systeme/mainfile.' . EXT ) ) {
    include_once ( 'systeme/mainfile.' . EXT );
}
else {
    die ( '<p><strong>Erreur&nbsp;:</strong> Le fichier systeme/mainfile.' . EXT . ' est introuvable.</p>' );
}

$page_titre = 'Erreur 404';
$page_simple = 1;

$page_texte = "<p>La page ou le répertoire que vous demandez n'existe pas. Il se peut qu'il s'agisse d'un fichier ayant été renommé ou supprimé.</p>
<p><a href=\"" . $configuration['adresse'] . 'index.' . EXT . "\" title=\"Page d'accueil du site\">Cliquez-ici</a> pour accéder à la page d'accueil du site.</p>\n";

////////////////////
// Affichage de la page
////////////////////

if ( is_file ( 'systeme/page.' . EXT ) ) {
    include_once ( 'systeme/page.' . EXT );
}
else {
    die ( '<p><strong>Erreur&nbsp;:</strong> Le fichier systeme/page.' . EXT . ' est introuvable.</p>' );
}
?>