<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Langues
$langue['langue_00']    = 'Inconnue';
$langue['langue_ar']    = 'Arabe';
$langue['langue_de']    = 'Allemand';
$langue['langue_en']    = 'Anglais';
$langue['langue_eo']    = 'Esperanto';
$langue['langue_es']    = 'Espagnol';
$langue['langue_fa']    = 'Persan';
$langue['langue_fr']    = 'Français';
$langue['langue_hr']    = 'Croate';
$langue['langue_it']    = 'Italien';
$langue['langue_ja']    = 'Japonais';
$langue['langue_pl']    = 'Polonais';
$langue['langue_pt']    = 'Portugais';
$langue['langue_ro']    = 'Roumain';
$langue['langue_ru']    = 'Russe';
$langue['langue_sr']    = 'Serbe';
$langue['langue_tr']    = 'Turc';
$langue['langue_vi']    = 'Vietnamien';
$langue['langue_zh']    = 'Chinois';


// Mois (Statistiques)
$langue['mois_01']      = 'janvier';
$langue['mois_02']      = 'février';
$langue['mois_03']      = 'mars';
$langue['mois_04']      = 'avril';
$langue['mois_05']      = 'mai';
$langue['mois_06']      = 'juin';
$langue['mois_07']      = 'juillet';
$langue['mois_08']      = 'aout';
$langue['mois_09']      = 'septembre';
$langue['mois_10']      = 'octobre';
$langue['mois_11']      = 'novembre';
$langue['mois_12']      = 'décembre';


// Pays (Statistiques)
$langue['pays_00']      = 'Inconnu';
$langue['pays_AC']      = 'Île de l\'Ascension';
$langue['pays_AD']      = 'Andorre';
$langue['pays_AE']      = 'Émirats Arabes Unis';
$langue['pays_AF']      = 'Afghanistan';
$langue['pays_AG']      = 'Antigua et Barbade';
$langue['pays_AI']      = 'Anguilla';
$langue['pays_AL']      = 'Albanie';
$langue['pays_AM']      = 'Arménie';
$langue['pays_AN']      = 'Antilles néerlandaises';
$langue['pays_AO']      = 'Angola';
$langue['pays_AQ']      = 'Antartique';
$langue['pays_AR']      = 'Argentine';
$langue['pays_AS']      = 'Samoa américain';
$langue['pays_AT']      = 'Autriche';
$langue['pays_AU']      = 'Australie';
$langue['pays_AW']      = 'Aruba';
$langue['pays_AX']      = 'Åland ';
$langue['pays_AZ']      = 'Azerbaïdjan';
$langue['pays_BA']      = 'Bosnie-Herzégovine';
$langue['pays_BB']      = 'Barbade';
$langue['pays_BD']      = 'Bangladesh';
$langue['pays_BE']      = 'Belgique';
$langue['pays_BF']      = 'Burkina Faso';
$langue['pays_BG']      = 'Bulgarie';
$langue['pays_BH']      = 'Bahreïn';
$langue['pays_BI']      = 'Burundi';
$langue['pays_BJ']      = 'Bénin';
$langue['pays_BM']      = 'Bermudes';
$langue['pays_BN']      = 'Brunei';
$langue['pays_BO']      = 'Bolivie';
$langue['pays_BR']      = 'Brésil';
$langue['pays_BS']      = 'Bahamas';
$langue['pays_BT']      = 'Bhoutan';
$langue['pays_BV']      = 'Île Bouvet';
$langue['pays_BW']      = 'Botswana';
$langue['pays_BY']      = 'Biélorussie';
$langue['pays_BZ']      = 'Belize';
$langue['pays_CA']      = 'Canada';
$langue['pays_CC']      = 'Îles Cocos';
$langue['pays_CD']      = 'République démocratique du Congo';
$langue['pays_CF']      = 'République centrafricaine';
$langue['pays_CG']      = 'Congo';
$langue['pays_CH']      = 'Suisse';
$langue['pays_CI']      = 'Côte d\'Ivoire';
$langue['pays_CK']      = 'Îles Cook';
$langue['pays_CL']      = 'Chili';
$langue['pays_CM']      = 'Cameroun';
$langue['pays_CN']      = 'Chine';
$langue['pays_CO']      = 'Colombie';
$langue['pays_CR']      = 'Costa Rica';
$langue['pays_CS']      = 'Serbie-et-Monténégro ';
$langue['pays_CU']      = 'Cuba';
$langue['pays_CV']      = 'Cap-Vert';
$langue['pays_CX']      = 'Île Christmas';
$langue['pays_CY']      = 'Chypre';
$langue['pays_CZ']      = 'République tchèque';
$langue['pays_DE']      = 'Allemagne';
$langue['pays_DJ']      = 'Djibouti';
$langue['pays_DK']      = 'Danemark';
$langue['pays_DO']      = 'République dominicaine';
$langue['pays_DZ']      = 'Algérie';
$langue['pays_EC']      = 'Équateur';
$langue['pays_EE']      = 'Estonie';
$langue['pays_EG']      = 'Égypte';
$langue['pays_EH']      = 'Sahara occidental';
$langue['pays_ER']      = 'Érythrée';
$langue['pays_ES']      = 'Espagne';
$langue['pays_ET']      = 'Éthiopie';
$langue['pays_EU']      = 'Union Européenne';
$langue['pays_FI']      = 'Finlande';
$langue['pays_FJ']      = 'Fidji';
$langue['pays_FK']      = 'Îles Malouines';
$langue['pays_FM']      = 'Micronésie';
$langue['pays_FO']      = 'Îles Féroé';
$langue['pays_FR']      = 'France';
$langue['pays_GA']      = 'Gabon';
$langue['pays_GB']      = 'Royaume-Uni';
$langue['pays_GD']      = 'Grenade';
$langue['pays_GE']      = 'Géorgie';
$langue['pays_GF']      = 'Guyane française';
$langue['pays_GG']      = 'Guernesey';
$langue['pays_GH']      = 'Ghana';
$langue['pays_GI']      = 'Gibraltar';
$langue['pays_GL']      = 'Groenland';
$langue['pays_GM']      = 'Gambie';
$langue['pays_GN']      = 'Guinée';
$langue['pays_GP']      = 'Guadeloupe';
$langue['pays_GQ']      = 'Guinée équatoriale';
$langue['pays_GR']      = 'Grèce';
$langue['pays_GS']      = 'Géorgie du Sud et les îles Sandwich du Sud';
$langue['pays_GT']      = 'Guatemala';
$langue['pays_GU']      = 'Guam';
$langue['pays_GW']      = 'Guinée-Bissau';
$langue['pays_GY']      = 'Guyana';
$langue['pays_HK']      = 'Hong Kong';
$langue['pays_HM']      = 'Île Heard et îles McDonald';
$langue['pays_HN']      = 'Honduras';
$langue['pays_HR']      = 'Croatie';
$langue['pays_HT']      = 'Haïti';
$langue['pays_HU']      = 'Hongrie';
$langue['pays_ID']      = 'Indonésie';
$langue['pays_IE']      = 'Irlande';
$langue['pays_IL']      = 'Israël';
$langue['pays_IM']      = 'Île de Man';
$langue['pays_IN']      = 'Inde';
$langue['pays_IO']      = 'Territoire britannique de l\'océan Indien';
$langue['pays_IQ']      = 'Irak';
$langue['pays_IR']      = 'Iran';
$langue['pays_IS']      = 'Islande';
$langue['pays_IT']      = 'Italie';
$langue['pays_JE']      = 'Jersey';
$langue['pays_JM']      = 'Jamaïque';
$langue['pays_JO']      = 'Jordanie';
$langue['pays_JP']      = 'Japon';
$langue['pays_KE']      = 'Kenya';
$langue['pays_KG']      = 'Kirghizstan';
$langue['pays_KH']      = 'Cambodge';
$langue['pays_KI']      = 'Kiribati';
$langue['pays_KM']      = 'Union des Comores';
$langue['pays_KN']      = 'Saint-Christophe-et-Niévès';
$langue['pays_KP']      = 'Corée du Nord';
$langue['pays_KR']      = 'Corée du Sud';
$langue['pays_KW']      = 'Koweït';
$langue['pays_KY']      = 'Îles Caïmanes';
$langue['pays_KZ']      = 'Kazakhstan';
$langue['pays_LA']      = 'Laos';
$langue['pays_LB']      = 'Liban';
$langue['pays_LC']      = 'Sainte-Lucie';
$langue['pays_LI']      = 'Liechtenstein';
$langue['pays_LK']      = 'Sri Lanka';
$langue['pays_LR']      = 'Libéria';
$langue['pays_LS']      = 'Lesotho';
$langue['pays_LT']      = 'Lituanie';
$langue['pays_LU']      = 'Luxembourg';
$langue['pays_LV']      = 'Lettonie';
$langue['pays_LY']      = 'Libye';
$langue['pays_MA']      = 'Maroc';
$langue['pays_MC']      = 'Monaco';
$langue['pays_MD']      = 'Moldavie';
$langue['pays_ME']      = 'Monténégro';
$langue['pays_MG']      = 'Madagascar';
$langue['pays_MH']      = 'Marshall';
$langue['pays_MK']      = 'Macédoine';
$langue['pays_ML']      = 'Mali';
$langue['pays_MM']      = 'Birmanie';
$langue['pays_MN']      = 'Mongolie';
$langue['pays_MO']      = 'Macao';
$langue['pays_MP']      = 'Îles Mariannes du Nord';
$langue['pays_MQ']      = 'Martinique';
$langue['pays_MR']      = 'Mauritanie';
$langue['pays_MS']      = 'Montserrat';
$langue['pays_MT']      = 'Malte';
$langue['pays_MU']      = 'Maurice';
$langue['pays_MV']      = 'Maldives';
$langue['pays_MW']      = 'Malawi';
$langue['pays_MX']      = 'Mexique';
$langue['pays_MY']      = 'Malaisie';
$langue['pays_MZ']      = 'Mozambique';
$langue['pays_NA']      = 'Namibie';
$langue['pays_NC']      = 'Nouvelle-Calédonie';
$langue['pays_NE']      = 'Niger';
$langue['pays_NF']      = 'Île de Norfolk';
$langue['pays_NG']      = 'Nigeria';
$langue['pays_NI']      = 'Nicaragua';
$langue['pays_NL']      = 'Pays-Bas';
$langue['pays_NO']      = 'Norvège';
$langue['pays_NP']      = 'Népal';
$langue['pays_NR']      = 'Nauru';
$langue['pays_NU']      = 'Niue';
$langue['pays_NZ']      = 'Nouvelle-Zélande';
$langue['pays_OM']      = 'Oman';
$langue['pays_PA']      = 'Panama';
$langue['pays_PE']      = 'Pérou';
$langue['pays_PF']      = 'Polynésie française';
$langue['pays_PG']      = 'Papouasie-Nouvelle-Guinée';
$langue['pays_PH']      = 'Philippines';
$langue['pays_PK']      = 'Pakistan';
$langue['pays_PL']      = 'Pologne';
$langue['pays_PM']      = 'Saint-Pierre-et-Miquelon';
$langue['pays_PN']      = 'Pitcairn';
$langue['pays_PR']      = 'Porto Rico';
$langue['pays_PS']      = 'Cisjordanie et Bande de Gaza';
$langue['pays_PT']      = 'Portugal';
$langue['pays_PW']      = 'Palaos';
$langue['pays_PY']      = 'Paraguay';
$langue['pays_QA']      = 'Qatar';
$langue['pays_RE']      = 'Réunion';
$langue['pays_RO']      = 'Roumanie';
$langue['pays_RS']      = 'Serbie';
$langue['pays_RU']      = 'Russie';
$langue['pays_RW']      = 'Rwanda';
$langue['pays_SA']      = 'Arabie saoudite';
$langue['pays_SB']      = 'Salomon';
$langue['pays_SC']      = 'Seychelles';
$langue['pays_SD']      = 'Soudan';
$langue['pays_SE']      = 'Suède';
$langue['pays_SG']      = 'Singapour';
$langue['pays_SH']      = 'Sainte-Hélène';
$langue['pays_SI']      = 'Slovénie';
$langue['pays_SJ']      = 'Svalbard et Jan Mayen';
$langue['pays_SK']      = 'Slovaquie';
$langue['pays_SL']      = 'Sierra Leone';
$langue['pays_SM']      = 'Saint-Marin';
$langue['pays_SN']      = 'Sénégal';
$langue['pays_SO']      = 'Somalie';
$langue['pays_SR']      = 'Suriname';
$langue['pays_ST']      = 'Sao Tomé-et-Principe';
$langue['pays_SU']      = 'Communauté des États Indépendants';
$langue['pays_SV']      = 'Salvador';
$langue['pays_SY']      = 'Syrie';
$langue['pays_SZ']      = 'Swaziland';
$langue['pays_TC']      = 'Îles Turques et Caïques';
$langue['pays_TD']      = 'Tchad';
$langue['pays_TF']      = 'Terres australes et antarctiques françaises';
$langue['pays_TG']      = 'Togo';
$langue['pays_TH']      = 'Thaïlande';
$langue['pays_TJ']      = 'Tadjikistan';
$langue['pays_TK']      = 'Tokelau';
$langue['pays_TL']      = 'Timor oriental';
$langue['pays_TM']      = 'Turkménistan';
$langue['pays_TN']      = 'Tunisie';
$langue['pays_TO']      = 'Tonga';
$langue['pays_TP']      = 'Timor oriental';
$langue['pays_TR']      = 'Turquie';
$langue['pays_TT']      = 'Trinité-et-Tobago';
$langue['pays_TV']      = 'Tuvalu';
$langue['pays_TW']      = 'Taïwan';
$langue['pays_TZ']      = 'Tanzanie';
$langue['pays_UA']      = 'Ukraine';
$langue['pays_UG']      = 'Ouganda';
$langue['pays_UK']      = 'Royaume-Uni';
$langue['pays_UM']      = 'Îles mineures éloignées des États-Unis';
$langue['pays_US']      = 'États-Unis d\'Amérique';
$langue['pays_UY']      = 'Uruguay';
$langue['pays_UZ']      = 'Ouzbékistan';
$langue['pays_VA']      = 'Vatican';
$langue['pays_VC']      = 'Saint-Vincent-et-les Grenadines';
$langue['pays_VE']      = 'Venezuela';
$langue['pays_VG']      = 'Îles Vierges britanniques';
$langue['pays_VI']      = 'Îles Vierges américaines';
$langue['pays_VN']      = 'Viet-Nam';
$langue['pays_VU']      = 'Vanuatu';
$langue['pays_WF']      = 'Wallis-et-Futuna';
$langue['pays_WS']      = 'Samoa';
$langue['pays_YE']      = 'Yémen';
$langue['pays_YT']      = 'Mayotte';
$langue['pays_YU']      = 'Serbie ou Monténégro';
$langue['pays_ZA']      = 'Afrique du Sud';
$langue['pays_ZM']      = 'Zambie';
$langue['pays_ZW']      = 'Zimbabwe';

$langue['accueil']              = 'Accueil';
$langue['accueil_texte']        = 'Page d\'accueil';
$langue['actions']              = 'Actions';
$langue['administration']       = 'Administration';
$langue['administration_texte'] = 'Administration du site';
$langue['admin_categorie']      = 'Administration des catégories';
$langue['admin_categorie_txt']  = 'Administration des catégories';
$langue['admin_forums']         = 'Administration des forums';
$langue['admin_forums_texte']   = 'Administration des forums';
$langue['admin_sondages']       = 'Administration des sondages';
$langue['admin_sondages_texte'] = 'Administration des sondages';
$langue['adresse_ip']           = 'Adresse IP';
$langue['amis']                 = 'Vos amis';
$langue['amis_mbr']             = 'Ajouter ce membre à vos amis';
$langue['amis_new']             = 'Ajouter un ami';
$langue['amis_titre']           = 'Gestion de vos amis';
$langue['anonyme']              = 'Anonyme'; 
$langue['article']              = 'Article'; 
$langue['article_deleted']      = 'Cet article a été supprimé.'; 
$langue['articles']             = 'Articles'; 
$langue['articles_liste']       = 'Liste des articles'; 
$langue['articles_deleted']     = 'Articles supprimés'; 
$langue['articles_deleted_txt'] = 'Liste des articles supprimés'; 
$langue['articles_no_deleted']  = 'Aucun article n\'a été supprimé.'; 
$langue['articles_texte']       = 'Voir la liste des articles';
$langue['attention']            = 'Attention';
$langue['aucune_image']         = 'Aucune image';
$langue['aucun_forum']          = 'Il n\'y a aucun forum actuellement.';
$langue['aucun_message']        = 'Aucun message';
$langue['auteur']               = 'Auteur';
$langue['avatar']               = 'Avatar';
$langue['avatar_of']            = 'Avatar de ';
$langue['avatar_search']        = 'Chercher ...';
$langue['bannir']               = 'Bannir une adresse IP';
$langue['bloquage']             = 'Bloquage du site';
$langue['bloquage_texte']       = 'Bloquage du site';
$langue['categorie']            = 'Catégorie';
$langue['categories']           = 'Catégories';
$langue['choix_multiples']      = 'Choix multiples';
$langue['choix_numero']         = 'Choix n°';
$langue['choix_unique']         = 'Une seule réponse';
$langue['clic_here']            = 'Cliquez-ici';
$langue['close']                = 'Fermer la page';
$langue['commentaires']         = 'Commentaires';
$langue['communaute']           = 'Communauté';
$langue['configuration']        = 'Configuration du site';
$langue['confirm']              = 'Confirmez le mot de passe';
$langue['connecte']             = 'Connecté';
$langue['contenu']              = 'Contenu';
$langue['date']                 = 'Date';
$langue['date_upload']          = 'Date d\'envoi';
$langue['date_inconnue']        = 'Inconnue';
$langue['deconnecte']           = 'Déconnecté';
$langue['delete_of']            = 'Suppression de ';
$langue['deplacer']             = 'Déplacer';
$langue['deplacer_cat']         = 'Déplacer cette catégorie';
$langue['description']          = 'Description';
$langue['destinataire']         = 'Destinataire';
$langue['destinataires']        = 'Destinataires';
$langue['droit']                = 'Droit';
$langue['duree']                = 'Durée';
$langue['editer']               = 'Éditer';
$langue['editer_article']       = 'Éditer cet article';
$langue['editer_commentaire']   = 'Éditer un commentaire';
$langue['editer_message']       = 'Éditer ce message';
$langue['editer_news']          = 'Éditer une news';
$langue['edit_of']              = 'Édition de ';
$langue['email']                = 'Adresse e-mail';
$langue['erreur']               = 'Erreur';
$langue['err_ami_exist']        = 'Cette amitié existe déjà.';
$langue['err_ami_you']          = 'Vous ne pouvez pas vous ajouter comme ami !';
$langue['err_article_isset']    = 'L\'article <q>%s</q> existe déjà.';
$langue['err_code']             = 'Le code est incorrect.';
$langue['err_email_format']     = 'Le format de l\'adresse e-mail est incorrect.';
$langue['err_email_use']        = 'L\'adresse e-mail est déjà utilisé par un utilisateur.';
$langue['err_file_format']      = 'Vous n\'êtes pas autorisés à envoyer ce type de fichier.';
$langue['err_file_quota']       = 'Vous ne pouvez envoyer ce fichier car votre quota d\'upload serait dépassé.';
$langue['err_file_size']        = 'Le fichier est trop volumineux (%d octets).';
$langue['err_file_upload']      = 'Le fichier n\'a pas pu être copié.';
$langue['err_mdp']              = 'Les deux mots de passe ne sont pas identiques.';
$langue['err_mdp_mauvais']      = 'Le mot de passe est incorrect.';
$langue['err_mdp_old']          = 'L\'ancien mot de passe est incorrect.';
$langue['err_mdp_size']         = 'Le mot de passe doit contenir entre 6 et 16 caractères.';
$langue['err_membre_deleted']   = 'Le compte de cet utilisateur est déjà inactif.';
$langue['err_membre_inactif']   = 'Ce compte n\'est pas actif, parce que vous n\'avez pas validé votre inscription ou que votre compte a été supprimé.'; 
$langue['err_membre_inconnu']   = 'Ce nom d\'utilisateur n\'est utilisé par aucun membre.';
$langue['err_membre_you']       = 'Vous ne pouvez pas supprimer votre propre compte !';
$langue['err_nom_format']       = 'Le nom d\'utilisateur doit comporter au moins 4 caractères (lettres, chiffres, tirets, underscores ou arobases).'; 
$langue['err_nom_use']          = 'Le nom de destination est déjà utilisé.';
$langue['err_oblig']            = 'Vous n\'avez pas rempli tous les champs obligatoires.';
$langue['erreur_liste']         = 'Liste des erreurs';
$langue['fermer']               = 'Fermer';
$langue['fermer_texte']         = 'Fermer ce sujet';
$langue['file']                 = 'Fichier';
$langue['file_adresse']         = 'Adresse du fichier';
$langue['file_name']            = 'Nom du fichier';
$langue['forum']                = 'Forum';
$langue['forums']               = 'Forums';
$langue['forums_texte']         = 'Consulter les forums';
$langue['groupe']               = 'Groupe';
$langue['groupes_titre']        = 'Gérer les groupes et les droits';
$langue['historique']           = 'Historique';
$langue['historique_of']        = 'Historique de ';
$langue['historique_texte']     = 'Historique de cet article';
$langue['images']               = 'Vos images';
$langue['infosgal']             = 'Informations générales';
$langue['inscription']          = 'Inscription';
$langue['inscription_texte']    = 'S\'inscrire sur le site';
$langue['langue']               = 'Langue';
$langue['langues']              = 'Langues';
$langue['last_message']         = 'Dernier message';
$langue['last_modification']    = 'Dernière modification le ';
$langue['last_read_msg']        = 'Aller au dernier message lu';
$langue['last_visite']          = 'Dernière visite'; 
$langue['lectures']             = 'Lectures'; 
$langue['liste_file']           = 'Liste des fichiers'; 
$langue['liste_forums']         = 'Liste des forums'; 
$langue['liste_news']           = 'Liste des news';
$langue['liste_visiteurs']      = 'Liste des visiteurs du site';
$langue['localisation']         = 'Localisation';
$langue['login']                = 'Connexion';
$langue['login_texte']          = 'Se connecter sur le site';
$langue['logout']               = 'Déconnexion';
$langue['logout_texte']         = 'Se déconnecter du site';
$langue['mdp_oublie']           = 'Vous avez oublié votre mot de passe ?';
$langue['mdp_oublie_texte']     = 'Cliquez ici si vous ne vous souvenez plus de votre mot de passe'; 
$langue['membre_supprimer']     = 'L\'utilisateur <q>%s</q> a été supprimé.'; 
$langue['membres']              = 'Membres du site'; 
$langue['membres_liste']        = 'Liste des membres du site';
$langue['membres_texte']        = 'Voir la liste des membres du site';
$langue['memory']               = 'Se souvenir de moi'; 
$langue['messagerie']           = 'Vos messages';
$langue['messagerie_mbr']       = 'Envoyer un message à ce membre';
$langue['messagerie_titre']     = 'Gestion de vos messages';
$langue['message']              = 'Message';
$langue['messages']             = 'Messages';
$langue['modifier']             = 'Modifier';
$langue['modifier_article']     = 'Modifier un article';
$langue['modifier_cat']         = 'Modifier cette catégorie';
$langue['modifier_membre']      = 'Modifier la fiche d\'un membre';
$langue['naissance']            = 'Date de naissance';
$langue['navigateur']           = 'Navigateur';
$langue['navigateurs']          = 'Navigateurs';
$langue['navigation']           = 'Navigation';
$langue['nbr_msg']              = '<span style="color:#C00"><b>%d</b></span> messages';
$langue['nbr_sujets']           = '<span style="color:#C00"><b>%d</b></span> sujets'; 
$langue['newarticle']           = 'Ajout d\'un article'; 
$langue['newgroup']             = 'Nouveau groupe'; 
$langue['newpass']              = 'Nouveau mot de passe'; 
$langue['news']                 = 'News';
$langue['news_new']             = 'Nouvelle news';
$langue['news_texte']           = 'News du site'; 
$langue['nouvelle_categorie']   = 'Nouvelle catégorie'; 
$langue['nouvel_article']       = 'Nouvel article'; 
$langue['nouvel_article_texte'] = 'Écrire un nouvel article';
$langue['nouveau_commentaire']  = 'Nouveau commentaire'; 
$langue['nouveau_forum']        = 'Nouveau forum'; 
$langue['nouveau_message']      = 'Nouveau message';
$langue['nouveau_sondage']      = 'Nouveau sondage';
$langue['nouveau_sujet']        = 'Nouveau sujet';
$langue['nouveau_sujet_texte']  = 'Poster un nouveau sujet'; 
$langue['no_categorie']         = 'Aucune'; 
$langue['no_image']             = 'Vous n\'avez pas d\'images dans votre répertoire.';
$langue['oldpass']              = 'Ancien mot de passe';
$langue['old_version']          = 'Ancienne version de ';
$langue['ouvrir']               = 'Ouvrir';
$langue['ouvrir_texte']         = 'Ouvrir ce sujet';
$langue['page']                 = 'Page';
$langue['page_goto']            = 'Aller à la page ';
$langue['password']             = 'Mot de passe';
$langue['password_forgot']      = 'Mot de passe oublié';
$langue['pays']                 = 'Pays';
$langue['poste_le']             = 'Posté le ';
$langue['postee_le']            = 'Postée le ';
$langue['prefs']                = 'Préférences';
$langue['prefs_texte']          = 'Modifier vos préférences';
$langue['profession']           = 'Profession';
$langue['question']             = 'Question';
$langue['read_news']            = 'Lecture d\'une news';
$langue['recherche']            = 'Recherche';
$langue['rechercher']           = 'Rechercher';
$langue['repondre']             = 'Répondre';
$langue['repondre_texte']       = 'Répondre à ce sujet';
$langue['reponses']             = 'Réponses';
$langue['retablir']             = 'Rétablir';
$langue['seconde']              = ' s';
$langue['signature']            = 'Signature';
$langue['sondages']             = 'Sondages';
$langue['sondages_texte']       = 'Consulter les sondages';
$langue['statistiques']         = 'Statistiques';
$langue['stat_visites']         = 'Liste détaillée des visites';
$langue['style']                = 'Style';
$langue['sujet']                = 'Sujet';
$langue['sujets']               = 'Sujets';
$langue['supprimer']            = 'Supprimer';
$langue['supprimer_article']    = 'Supprimer cet article';
$langue['supprimer_cat']        = 'Supprimer cette catégorie'; 
$langue['supprimer_file']       = 'Supprimer ce fichier';
$langue['supprimer_membre']     = 'Supprimer un membre'; 
$langue['supprimer_membre_txt'] = 'Supprimer un membre du site';
$langue['supprimer_message']    = 'Supprimer ce message';
$langue['supprimer_news']       = 'Supprimer une news';
$langue['systeme']              = 'Système d\'exploitation';
$langue['systemes']             = 'Systèmes d\'exploitation';
$langue['taille']               = 'Taille';
$langue['time_at']              = ' à ';
$langue['titre']                = 'Titre';
$langue['today']                = 'Aujourd\'hui';
$langue['upload']               = 'Envoyer un fichier';
$langue['upload_ok']            = 'Le fichier <q>%s</q> a été copié sur le serveur.';
$langue['user']                 = 'Nom d\'utilisateur';
$langue['valider']              = 'Valider';
$langue['version_actuelle']     = 'Version actuelle';
$langue['version_actuelle_txt'] = 'Voir la version actuelle de cet article';
$langue['version_du']           = 'Version du ';
$langue['version_pre']          = 'Version précédente';
$langue['version_pre_texte']    = 'Voir la précédente version de cet article';
$langue['version_sui']          = 'Version suivante';
$langue['version_sui_texte']    = 'Voir la version suivante de cet article';
$langue['view_article']         = 'Voir l\'article';
$langue['view_fiche']           = 'Voir la fiche de ';
$langue['visiteurs']            = 'Visiteurs du site';
$langue['yesterday']            = 'Hier'; 
$langue['_commentaire']         = ' commentaire';
$langue['_commentaires']        = ' commentaires'; 
$langue['_connecte']            = ' est connecté'; 
$langue['_deconnecte']          = ' est déconnecté'; 
$langue['_lecture']             = ' lecture'; 
$langue['_lectures']            = ' lectures'; 
$langue['_membre']              = ' membre'; 
$langue['_membres']             = ' membres';
$langue['_par_']                = ' par '; 
$langue['_to_delete']           = ' pour supprimer cet article.';

?>