<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Dveloppement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Scurit
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = $langue['administration'];
$page_infos = $langue['administration_texte'];

function datefrenus ( $datefr ) {
	$date = explode ( '-', $datefr );
	return $date[2].'-'.$date[1].'-'.$date[0];
}

$mode = 'ajouter_valid'; 
$datenow = date ( "d-m-Y",time() ); 

if ( isset ( $_POST['ajouter_valid'] ) ) { 
	
	$titre = $_POST['titre'];
	$description = $_POST['description'];
	$clic = $_POST['clic'];
	$datefr = $_POST['datefr'];
	$date = datefrenus($datefr);
	$dossier = './documents/';
	$fichier = basename ( $_FILES['fichier']['name'] );
	$taille_maxi = 10000000;
	$taille = filesize ( $_FILES['fichier']['tmp_name'] );
	$extensions = array ( '.zip', '.rar', '.doc', '.txt' );
	$extension = strrchr ( $_FILES['fichier']['name'], '.' ); 
	
	if ( !in_array ( $extension, $extensions ) ) { 
		 $erreur = '<script>alert(\'Vous devez uploader un fichier de type zip, rar, txt ou doc !\');history.back(-1);</script>';
	}
	if ( $taille > $taille_maxi ) {
		 $erreur = '<script>alert(\'Le fichier est trop gros... !\');history.back(-1);</script>';
	}
	if ( !isset ( $erreur ) ) { 
		$fichier = strtr ( $fichier,'','AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
		$fichier = preg_replace ( '/([^.a-z0-9]+)/i', '-', time().'_'.$fichier );
		$chemin1 = $dossier . $fichier; 
		 if ( move_uploaded_file ( $_FILES['fichier']['tmp_name'], $chemin1 ) ) {
			 $page_texte .= 'Upload effectu&eacute; avec succ&egrave;s !<br /><br />';
		 }
		 else {
			  $page_texte .= '<script>alert(\'Echec de l\'upload !\');history.back(-1);</script><br /><br />';
		 }
	}
	else {
		 $page_texte .= $erreur;
	}
	
$sql = "INSERT INTO " . $database->pref . "gestiondl
		(id, titre, description, fichier, clic, date)
		VALUES
		('', '" . $titre . "', '" . $description . "', '" . $chemin1 . "', '', '" . $date . "');";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
}

else if ( isset ( $_POST['modifier_valid'] ) && is_numeric ( $_POST['idtelech'] ) ) {
	
	$titre = $_POST['titre'];
	$description = $_POST['description'];
	$clic = $_POST['clic'];
	$datefr = $_POST['datefr'];
	$date = datefrenus($datefr);
	
	$sql = "UPDATE " . $database->pref . "gestiondl 
			SET titre = '".$titre."', description = '".$description."', clic = '".$clic."', date = '".$date."' 
			WHERE id = '".$_POST['idtelech']."'";
	
	$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
} 

else if ( is_numeric ( $_GET['modifier'] ) ) {
	
	$mode = 'modifier_valid';
	
	$sql = "SELECT id, titre, description, clic, DATE_FORMAT(date,'%d-%m-%Y') AS datefr 
			FROM " . $database->pref . "gestiondl 
			WHERE id = '".$_GET['modifier']."'";
			
	$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
	
	if ( $row = mysql_fetch_array ( $req ) ) { 
		$titre = stripslashes($row['titre']);
		$description = stripslashes($row['description']);
		$datefr = stripslashes($row['datefr']);
		$id = $row['id'];
		$clic = $row['clic'];
	}

}
 
else if ( is_numeric ( $_GET['supprimer'] ) ) {
	
	$sql = "DELETE FROM " . $database->pref . "gestiondl 
			WHERE id = '".$_GET['supprimer']."'";
	
	$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
	
}


  $page_texte .='<div>';
  
  	$page_texte .='<h2>';
  	  	if ( $mode == 'modifier_valid' ) { 
			$page_texte .= 'Modifier ';
		}
  	  	else { 
			$page_texte .= 'Ajouter ';
		}
      $page_texte .='un t&eacute;l&eacute;chargement';
  	$page_texte .='</h2><br />';
	
	$page_texte .='<form method="post" action="" enctype="multipart/form-data">';
	
	$page_texte .='<fieldset><legend>Informations</legend>';
	
	  $page_texte .='<p class="form_input"><label class="form_label">Nom du document&nbsp;:</label> <input type="text" name="titre" value="';if ($mode == 'modifier_valid') {$page_texte .= $titre;}$page_texte .= '" /></p>';
	  
	if ( $mode == 'modifier_valid' ) {$page_texte .= '';}
	else {
	  $page_texte .='<p class="form_input"><label class="form_label">Document&nbsp;:</label> <input name="fichier" type="file" size="50" /><br /><span>(ATTENTION : le nom du document que vous souhaitez t&eacute;l&eacute;charger ne doit pas contenir d\'accents ni d\'espaces !)</span></p>';
	}
	 if ( $mode == 'modifier_valid' ) {
		 $page_texte .='<p class="form_input"><label class="form_label">Nombre de clics&nbsp;:</label> <input type="text" name="clic" value="'. $clic .'" /></p>';
	}
	else { 
	  $page_texte .= '';
	}
	  $page_texte .='<p class="form_input"><label class="form_label">Date d\'ajout&nbsp;:</label> <input type="text" name="datefr" value="';
		  	if ($mode == 'modifier_valid'){$page_texte .= $datefr;}else{$page_texte .= $datenow;}$page_texte .= '" /><br />';
	  $page_texte .='</fieldset>';
	  
	  $page_texte .='<fieldset><legend>Description</legend>';
	  $page_texte .='<p class="form_input"><label class="form_label">Description&nbsp;:</label> <br />';
		if ( $mode == 'modifier_valid' ) {
		  $page_texte .="<textarea name=\"description\" id=\"description\">" . $description . "</textarea></p>
		  <script type=\"text/JavaScript\">
			//<![CDATA[
				CKEDITOR.replace('description');
			//]]>
			</script>";
		}
		else {
			$page_texte .="<textarea name=\"description\" id=\"description\"></textarea></p>
		  <script type=\"text/JavaScript\">
			//<![CDATA[
				CKEDITOR.replace('description');
			//]]>
			</script>";
		}
	  
		  	$page_texte .= '<p class=\"centre\"><input type="hidden" name="idtelech" value="';if ($mode == 'modifier_valid'){$page_texte .= $id;}$page_texte .= '" />';
		  	$page_texte .= '<input type="submit" name="';$page_texte .= $mode;$page_texte .= '" value="Valider" /></p>';
			
	$page_texte .='</form>';
  $page_texte .='</div>';
  
  $page_texte .='<br /><br />';
  
  $page_texte .='<div>';
  $page_texte .='<h2>Liste des t&eacute;l&eacute;chargements</h2><br />';
  
$sql = "SELECT id, titre, description, fichier, clic, DATE_FORMAT(date,'%d-%m-%Y') 
		AS datefr 
		FROM " . $database->pref . "gestiondl 
		ORDER BY titre ASC";
		
$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

	$page_texte .='<div class="information">L\'action de suppression est irr&eacute;versible.</div><br />';
	$page_texte .='<table cellspacing="0" align="center"><thead>
	<tr>
	<th width="20%" align="center">Titre/Fichier</th>
	<th width="80%" align="center">Description</th>
	<th width="20%" align="center">Action</th>
	</tr></thead>';	
	
  	while ( $row = $database->ResultArray ( $req ) ) {
  		$titre = stripslashes ( $row['titre'] );
		$url = stripslashes ( $row['fichier'] );
		$description = stripslashes ( $row['description'] );
		$id = $row['id'];
		
		$page_texte .= '<tr>';
		$page_texte .= '<td><a href="'.$url.'" ';$page_texte .= 'onclick="window.open(this.href);return false;">';$page_texte .= $titre;$page_texte .= '</a></td>';
		$page_texte .= '<td>' . $description . '</td>';
		$page_texte .= '<td><a href="index.' . EXT . '?page=DL_admin&modifier='.$id.'">[&eacute;diter]</a><br />';
		$page_texte .= '<a href="index.' . EXT . '?page=DL_admin&supprimer='.$id.'" onClick="alert(\'Document supprim&eacute; !\');">[supprimer]</a></td>';
		$page_texte .= '</tr>';
  	}
  	$page_texte .='</table>';
  $page_texte .='</div>';
?>