<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

if ( $droit['accueil_edition'] == 0 ) {
    header ( 'Location: index.' . EXT );
    die ( -1 );
}

// Titre de la page
$page_titre = 'Éditer la page d\'accueil';
$page_infos = 'Édition de la page d\'accueil';

// Traitement du formulaire
if ( isset ( $_POST['submit'] ) ) {
    if ( empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
    }
    else {
        $sql = "UPDATE `" . $database->pref . "configuration`
                SET `config_valeur` = '" . $database->Protege ( $_POST['texte'] ) . "'
                WHERE `config_nom` = 'accueil_texte';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        header ( 'Location: index.' . EXT );
        die ( -1 );
    }
}

// Formulaire
$form_adresse = 'index.' . EXT . '?page=Edit_accueil';
$form_titre = 'Éditer la page d\'accueil';

$form_champ_texte = $configuration['accueil_texte'];

include ( 'systeme/form_message.' . EXT );
?>