<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Titre de la page
$page_titre = 'Livre d\'or';
$page_infos = 'Livre d\'or';

$form_champ_auteur = '';
$form_champ_texte = '';

if ( isset ( $_POST['submit'] ) ) {
    $form_champ_texte = Deprotege ( $_POST['texte'] );

    if ( isset ( $_POST['auteur'] ) ) {
        $form_champ_auteur = Deprotege ( $_POST['auteur'] );
    }


    if ( empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' || ( $_SESSION['groupe'] == 1 && ( empty ( $_POST['auteur'] ) || trim ( $_POST['auteur'] ) == '' ) ) ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
    }
    else if ( $_POST['captcha'] != $_SESSION['captcha'] ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_code'] . "</p>\n\n";
    }
    else {
        $member = ( $_SESSION['groupe'] == 1 ) ? 0 : $_SESSION['membre_id'];
        $auteur = ( $_SESSION['groupe'] == 1 ) ? $database->Protege ( $_POST['auteur'] ) : $_SESSION['membre'];

        $sql = "INSERT INTO " . $database->pref . "livre_or
                (livre_auteur, livre_membre, livre_time, livre_texte, livre_actif)
                VALUES
                ('" . $auteur . "', '" . $member . "', '" . $time . "', '" . $database->Protege ( $_POST['texte'] ) . "','0');";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
    }
	// Redirection vers la page Merci une fois le message envoyé
	if ( !empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) != '' || ( $_SESSION['groupe'] == 1 && ( !empty ( $_POST['auteur'] ) || trim ( $_POST['auteur'] ) != '' ) ) ) {
                if ( $_POST['captcha'] == $_SESSION['captcha'] ) {
                        header( 'Location: index.' . EXT . '?page=Merci');
                }
        }
	// Redirection vers la page Merci une fois le message envoyé
}

// Formulaire du livre d'or
$form_adresse = 'index.' . EXT . '?page=Livre_or';

include ( 'systeme/form_Livre_or.' . EXT );

$sql = 'SELECT COUNT(*) AS count
        FROM ' . $database->pref . 'livre_or
		WHERE livre_actif = \'1\';';

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$nbr_msg = $database->Result ( $req , 'count' );

if ( isset ( $_GET['msg'] ) && is_numeric ( $_GET['msg'] ) && $nbr_msg > 0  && $_GET['msg'] > 0 ) {
    $page = 0;

    $sql = 'SELECT livre_id
            FROM ' . $database->pref . "livre_or
            WHERE livre_id <= '" . $_GET['msg'] . "'
            ORDER BY livre_time ASC;";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    for ( $i = 0 ; $row = $database->ResultArray ( $req ) ; $i++ ) {
        if ( $row['livre_id'] == $_GET['msg'] ) {
            $page = $i - $i % $configuration['page_livre_or'];
        }
    }

    header ( 'Location: index.' . EXT . '?page=Livre_or&start=' . $page );
    die ( -1 );
}

$page_texte .= "<p class=\"centre\">Il y <strong>" . $nbr_msg . '</strong> ';

if ( $nbr_msg <= 1 ) {
    $page_texte .= 'message';
}
else {
    $page_texte .= 'messages';
}

$page_texte .= " dans le livre d'or.</p>\n\n";

// Premier message affiché et numéro de la page affichée
if ( isset ( $_GET['start'] ) && is_numeric ( $_GET['start'] ) && $_GET['start'] > 0 && $_GET['start'] < $nbr_msg ) {
    $start = $_GET['start'];
}
else {
    $start = 0;
}

$page_actuelle = intval ( $start / $configuration['page_livre_or'] ) + 1;

// Nombre de pages
$nbr_page = ( ( $nbr_msg - 1 ) - ( $nbr_msg - 1 ) % $configuration['page_livre_or'] ) / $configuration['page_livre_or'] + 1;

// Liste des pages
if ( $nbr_msg > $configuration['page_livre_or'] ) {
    $page_texte .= '<p class="gauche">' . $langue['page'] . "&nbsp;:\n";

    for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
        $affiche_numero = false;

        for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
            if ( $i == $numero ) $affiche_numero = true;
        }

        if ( !$affiche_numero ) {
            for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( !$affiche_numero ) {
            for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( $affiche_numero ) {
            $page_texte .= '    <a href="index.' . EXT . '?page=Livre_or&amp;start=' . ( $i - 1 ) * $configuration['page_livre_or'] . '" title="' . $langue['page_goto'] . $i . '">';

            if ( $start == ( $i - 1 ) * $configuration['page_livre_or'] ) {
                $page_texte .= '<span class="page_actuelle">' . $i . '</span>';
            }
            else {
                $page_texte .= $i;
            }

            $page_texte .= "</a>\n";

            $trois_petits_points = false;
        }
        else if ( !$trois_petits_points ) {
            $page_texte .= "    ...\n";
            $trois_petits_points = true;
        }
    }

    $page_texte .= "</p>\n\n";
}

if ( $nbr_msg > 0 ) {
        $sql = "SELECT livre_id,
                   livre_time,
                   livre_membre,
                   livre_auteur,
                   livre_texte,
                   livre_actif
                FROM " . $database->pref . 'livre_or
                WHERE livre_actif = 1
                ORDER BY livre_time DESC';

    //=>MySQL
    if ( SGBD == 'mysql' ) $sql .= ' LIMIT ' . $start . ', ' . $configuration['page_livre_or'];
    $sql .= ';';
    //=>END

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $sql_limite = 0;

    while ( $sql_limite < $start + $configuration['page_livre_or'] && $row = $database->ResultArray ( $req ) ) {
        // On commence à afficher l'enregistrement $start
        if ( SGBD != 'mysql' && $sql_limite < $start ) {
            continue;
        }

        $page_texte .= "<div class=\"livre_bloc\" id=\"msg_" . $row['livre_id'] . "\">\n\n";
        $page_texte .= '<div class="livre_infos">Le ' . date ( $configuration['format_date'] , $row['livre_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['livre_time'] + $configuration['decalage'] ) . ' par ';

        if ( $row['livre_membre'] > 0 ) {
            $page_texte .= '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['livre_membre'] . '">' . $row['livre_auteur'] . '</a>';
        }
        else {
            $page_texte .= $row['livre_auteur'];
        }
        $msg_texte = $row['livre_texte'];
		
        $page_texte .= "</div>\n<div class=\"livre_msg\">" . $site->Parser ( $msg_texte ) . "</div>\n</div>\n\n";

        $sql_limite++;
    }
}

// Liste des pages
if ( $nbr_msg > $configuration['page_livre_or'] ) {
    $page_texte .= '<p class="centre">' . $langue['page'] . "&nbsp;:\n";

    for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
        $affiche_numero = false;

        for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
            if ( $i == $numero ) $affiche_numero = true;
        }

        if ( !$affiche_numero ) {
            for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( !$affiche_numero ) {
            for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( $affiche_numero ) {
            $page_texte .= '    <a href="index.' . EXT . '?page=Livre_or&amp;start=' . ( $i - 1 ) * $configuration['page_livre_or'] . '" title="' . $langue['page_goto'] . $i . '">';

            if ( $start == ( $i - 1 ) * $configuration['page_livre_or'] ) {
                $page_texte .= '<span class="page_actuelle">' . $i . '</span>';
            }
            else {
                $page_texte .= $i;
            }

            $page_texte .= "</a>\n";

            $trois_petits_points = false;
        }
        else if ( !$trois_petits_points ) {
            $page_texte .= "    ...\n";
            $trois_petits_points = true;
        }
    }

    $page_texte .= "</p>\n\n";
}
?>