<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = 'newsletter';
$page_infos = 'R&eacute;daction et envoi de la newsletter';

// on liste les inscrits
$page_texte .= '<div align="center"><br /><br /><u>Nombre d&acute;Emails inscrits :</u><br /><br />';

$sql = 'SELECT COUNT(*) AS count
        FROM ' . $database->pref . 'newsletter;';

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$nbr_email = $database->Result ( $req , 'count' );
	
$page_texte .= 'Il y a <span style="font-weight:bold; color:#F00; font-style:italic;">' . $nbr_email . '</span> inscrits &agrave; la Newsletter</div>';
		
$page_texte .= '<p align="center"><a href="index.php?page=Newsletter_mail">Liste des Emails</a></p>';

//------------------------------------------- Traitement Newsletter ----------------------------------------//

if ( isset ( $_POST['titre'] ) && isset ( $_POST['texte'] ) && strlen ( $_POST['titre'] ) > 1 && strlen ( $_POST['texte'] ) > 1 ) {
	include('class.phpmailer.php');
	
	$sql = "SELECT email
			FROM `" . $database->pref . "newsletter";
	$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
	
	$emailSubject = stripslashes($_POST['titre']);
	$emailBody = stripslashes($_POST['texte']);
	while ( $row = $database->ResultArray ( $req ) ) {
		
		$emailUser = $row['email'];
		
		$mail = new PHPMailer(true);
		try {
		$mail->IsHTML(true);
		$mail->From = 'contact@woopress.fr';
		$mail->FromName = 'Woopress';
		$mail->AddAddress($emailUser);
		$mail->Subject = $emailSubject;
		$mail->Body = $emailBody;
		
		$mail->Send();
		$mail->ClearAddresses();
		} 
		catch ( phpmailerException $e ) {
		  $page_texte .= $e -> errorMessage();
		} 
		catch ( Exception $e ) {
		  $page_texte .= $e -> getMessage();
		}
	}
	$page_texte .='<div class="information">Newsletter envoy&eacute; avec succ&egrave;s !</div>';
}

//-------------- Formulaire -----------------------------------------------------------------------------------------------------//

$form_adresse = 'index.' . EXT . '?page=Newsletter_admin';
$form_titre = 'Envoyer la Newsletter';

include ( 'systeme/form_newsletter.' . EXT );
?>
