<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = 'Newsletter';
$page_infos = 'Mails';

// on liste les inscrits
$page_texte .= '<div><br /><br /><u>Nombre d&acute;Emails inscrits :</u>&nbsp;
';

$sql = 'SELECT COUNT(*) AS count
        FROM ' . $database->pref . 'newsletter;';

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$nbr_email = $database->Result ( $req , 'count' );
	
		$page_texte .= 'Il y a <span style="font-weight:bold; color:#F00; font-style:italic;">' . $nbr_email . '</span> inscrits &agrave; la Newsletter.</div>';

$sql = "SELECT email
FROM `" . $database->pref . "newsletter";
				
$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
if ( isset ( $_GET['delete'] ) ) {
	$page = 0;
	
	$sql = 'DELETE FROM ' . $database->pref . "newsletter
			WHERE email = '" . $_GET['email'] . "';";

	$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

	header ( 'Location: index.' . EXT . '?page=Newsletter_mail' );
	die ( -1 );
}

if ( $database->NbrRowsSelected ( $req ) > 0 ) {
 
$page_texte .= "<table>\n\n<thead>\n<tr>\n";
$page_texte .= "  <th class=\"contact_titre\">Email</th>\n";
$page_texte .= "  <th class=\"contact_date\">Action</th>\n";// ajout suppression
$page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

$sql = "SELECT `email`
		FROM `" . $database->pref . "newsletter`";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
	$page_texte .= "<tr>\n";
	$page_texte .= '  <td>' . $row['email'] . "</td>\n";
	$page_texte .= '  <td class="centre"><a href="index.' . EXT . '?page=Newsletter_mail&amp;email=' . $row['email'] . '&amp;delete">Supprimer</a>';
	$page_texte .= "</tr>\n";
}

$page_texte .= "</tbody>\n\n</table>\n";
}

$page_texte .= '<p align="center"><a href="index.' . EXT . '?page=Newsletter_admin">Ecrire une Newsletter aux Membres</a></p>';

// ----------------------- Ajout Email Administrateur -------------------------- //
if ( isset ( $_POST["submit"]  )) {
	$email = ( preg_match("#^[a-z0-9._-]+@[a-z0-9._-]{2,}\.[a-z]{2,4}$#", $_POST['email'] ) );
	
	if( empty ( $email ) ) {
		$alerte = '<div class="attention">Vous n&acute;avez pas saisie d&acute;email et/ou le format est invalide.</div>';
	}
	else {
		$sql = "INSERT INTO " . $database->pref . "newsletter
                    VALUES
                    ('" . $_POST['email'] . "');";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
		
		$noalerte = '<div class="information">E-mail enregistr&eacute; avec succ&egrave;s !</div>';
	}
}

$page_texte .= $alerte;
$page_texte .= $noalerte;
$page_texte .= "<form method=\"post\" action=\"index.php?page=Newsletter_mail\">";
$page_texte .= "<fieldset>\n<legend>Ajout E-mail</legend>\n\n
<p align=\"center\"><u>Entrez l&acute;adresse e-mail ci-dessous :</u><br />";
$page_texte .= "<input type=\"text\" name=\"email\" size=\"25\" /><br />
<input type=\"submit\" value=\"Envoyer\" name=\"submit\" /> <input type=\"reset\" name=\"reset\" value=\"Effacer\" /></p>
</fieldset></form>";
?>
