<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


// Variables obligatoires :
if ( !isset ( $form_adresse ) ) $form_adresse = '';
if ( !isset ( $form_titre ) ) $form_titre = '';

// Variables facultatives :
//if ( !isset ( $form_sujet ) ) $form_sujet = '';
if ( !isset ( $form_champ_texte ) ) $form_champ_texte = '';


$page_texte .= "<noscript>
<p><strong>" . $langue['attention'] . "&nbsp;:</strong> Vous n'avez pas activé JavaScript, vous ne pouvez donc pas utiliser les boutons du formulaire pour éditer votre article et vous ne pourrez pas en avoir un aperçu.</p>
</noscript>";

$page_texte .= "<form action=\"index." . EXT . "?page=Livre_or\" method=\"post\" id=\"livre_or\">\n\n";
$page_texte .= "<p>Vous pouvez laisser un message sur le livre d&acute;or, pour encourager ou féliciter l&acute;auteur de ce site.</p>\n\n";
$page_texte .= "<p><span class=\"rouge\">Les messages publicitaires, seront supprimés par un administrateur !</span></p>\n\n

<fieldset>
<legend>Livre d&acute;or</legend>";

if ( $_SESSION['groupe'] == 1 )
{
    $page_texte .= "<p><label for=\"id_auteur\">Votre nom&nbsp;:</label> <input type=\"text\" name=\"auteur\" id=\"id_auteur\" value=\"" . $form_champ_auteur . "\" /></p>\n\n";
}
$page_texte .="<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/form_gras.png\" alt=\"Gras\" title=\"Gras\" onclick=\"balise('<gras>','</gras>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_italique.png\" alt=\"Italique\" title=\"Italique\" onclick=\"balise('<italique>','</italique>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_souligne.png\" alt=\"Souligné\" title=\"Souligné\" onclick=\"balise('<souligne>','</souligne>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_barre.png\" alt=\"Barré\" title=\"Barré\" onclick=\"balise('<barre>','</barre>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_guillemets.png\" alt=\"Guillemets\" title=\"Guillemets\" onclick=\"javascript:balise('«&nbsp;','&nbsp;»');preview();\" class=\"bouton\" />
</span>

<span class=\"boutons\">

  <img src=\"themes/" . $configuration['style'] . "/images/form_lien.png\" alt=\"Lien\" title=\"Lien\" onclick=\"ajoute_balise('lien','titre','Veuillez indiquer l\'adresse du lien', 'balise')\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_mail.png\" alt=\"E-mail\" title=\"E-mail\" onclick=\"ajoute_balise('email','nom','Veuillez indiquer l\'adresse email', 'balise')\" class=\"bouton\" />
</span>

<br /><br />

<span class=\"boutons\">
  <small>Smilies&nbsp;:</small>
  <img src=\"themes/commun/images/smilies/01.png\" title=\":)\" alt=\":)\" onclick=\"balise( ':)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/02.png\" title=\":D\" alt=\":D\" onclick=\"balise( ':D' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/03.png\" title=\";)\" alt=\";)\" onclick=\"balise( ';)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/04.png\" title=\":p\" alt=\":p\" onclick=\"balise( ':p' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/05.gif\" title=\":lol:\" alt=\":lol:\" onclick=\"balise( ':lol:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/06.gif\" title=\":euh:\" alt=\":euh:\" onclick=\"balise( ':euh:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/07.png\" title=\":(\" alt=\":(\" onclick=\"balise( ':(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/08.png\" title=\":o\" alt=\":o\" onclick=\"balise( ':o' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/09.png\" title=\":colere:\" alt=\":colere:\" onclick=\"balise( ':colere:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/10.gif\" title=\"o_O\" alt=\"o_O\" onclick=\"balise( 'o_O' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/11.png\" title=\"^^\" alt=\"^^\" onclick=\"balise( '^^' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/12.png\" title=\":-°\" alt=\":-°\" onclick=\"balise( ':-°' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/13.png\" title=\":'(\" alt=\":'(\" onclick=\"balise( ':\'(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/14.png\" title=\">_<\" alt=\">_<\" onclick=\"balise( '>_<' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/15.gif\" title=\":mdr:\" alt=\":mdr:\" onclick=\"balise( ':mdr:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/16.gif\" title=\":10:\" alt=\":10:\" onclick=\"balise( ':10:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/17.gif\" title=\":oop:\" alt=\":oop:\" onclick=\"balise( ':oop:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/18.gif\" title=\":jsort:\" alt=\":jsort:\" onclick=\"balise( ':jsort:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/19.gif\" title=\":tsort:\" alt=\":tsort:\" onclick=\"balise( ':tsort:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/20.gif\" title=\":up:\" alt=\":up:\" onclick=\"balise( ':up:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/21.gif\" title=\":arf:\" alt=\":arf:\" onclick=\"balise( ':arf:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/22.gif\" title=\":kc:\" alt=\":kc:\" onclick=\"balise( ':kc:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/23.gif\" title=\":salut:\" alt=\":salut:\" onclick=\"balise( ':salut:' ,'');preview();\" class=\"bouton\" />
</span>

<br />

<span class=\"cleaner\">

  <select id=\"position_texte\" onchange=\"add_bal('position','valeur','position_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Position</option>
    <option value=\"justifie\">Justifié</option>
    <option value=\"centre\" class=\"centre\">Centré</option>
  </select>

  <select id=\"taille_texte\" onchange=\"add_bal('taille','valeur','taille_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Taille</option>
    <option value=\"gros\">Gros</option>
    <option value=\"tgros\">Très gros</option>
  </select>

  <select id=\"couleur_texte\" onchange=\"add_bal('couleur','nom','couleur_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Couleur</option>
    <option value=\"rose\" class=\"rose\">rose</option>
    <option value=\"rouge\" class=\"rouge\">rouge</option>
    <option value=\"orange\" class=\"orange\">orange</option>
    <option value=\"jaune\" class=\"jaune\">jaune</option>
    <option value=\"vertc\" class=\"vertc\">vert clair</option>
    <option value=\"vertf\" class=\"vertf\">vert foncé</option>
    <option value=\"olive\" class=\"olive\">olive</option>
    <option value=\"turquoise\" class=\"turquoise\">turquoise</option>
    <option value=\"bleugris\" class=\"bleugris\">bleu-gris</option>
    <option value=\"bleu\" class=\"bleu\">bleu</option>
    <option value=\"marine\" class=\"marine\">marine</option>
    <option value=\"violet\" class=\"violet\">violet</option>
    <option value=\"marron\" class=\"marron\">marron</option>
    <option value=\"noir\" class=\"noir\">noir</option>
    <option value=\"gris\" class=\"gris\">gris</option>
    <option value=\"argent\" class=\"argent\">argent</option>
    <option value=\"blanc\" class=\"blanc\">blanc</option>
  </select>

  <select id=\"police_texte\" onchange=\"add_bal('police','nom','police_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Police</option>
    <option value=\"arial\" class=\"arial\">arial</option>
    <option value=\"times\" class=\"times\">times</option>
    <option value=\"courrier\" class=\"courrier\">courrier</option>
    <option value=\"impact\" class=\"impact\">impact</option>
    <option value=\"geneva\" class=\"geneva\">geneva</option>
    <option value=\"optima\" class=\"optima\">optima</option>
  </select>
  
</span>

<div class=\"formulaire\">
  <textarea onselect=\"storeCaret();\" onclick=\"storeCaret();preview();\" onkeyup=\"storeCaret();preview();\" name=\"texte\" id=\"texte\" rows=\"10\" tabindex=\"15\">" . $form_champ_texte . "</textarea>";
$page_texte .= '<p><img src="captcha.' . EXT . "\" id=\"captcha\" alt=\"Captcha\" title=\"Captcha\" /><br />\n";
$page_texte .= "<a href=\"#\" onclick=\"javascript:document.getElementById('captcha').src='captcha." . EXT . "?'+i++;\">Changer le code</a></p>\n\n";
$page_texte .= "<p class=\"form_input\"><label for=\"id_captcha\">Recopiez ce code&nbsp;:</label> <input type=\"text\" name=\"captcha\" size=\"30\" id=\"id_captcha\" onload=\"javascript:this.value='';\" value=\"\" /></p>\n\n
 <br /> <!--<div id=\"preview_texte\" class=\"preview\"></div>-->
</div>

</fieldset>

<input type=\"hidden\" name=\"time_form\" value=\"" . $time . "\" />
<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" /></p>

</form>
";

?>