<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


$menu_titre = 'Derniers messages';
$menu_texte = '';


$sql = "SELECT forum_msg_auteur,
               forum_msg_id,
               sujet_titre,
               membre_nom
        FROM " . $database->pref . "forum_msg
        LEFT JOIN " . $database->pref . "forum_sujet
            ON sujet_id = forum_msg_sujet
        LEFT JOIN " . $database->pref . "membres
            ON membre_id = forum_msg_auteur
        ORDER BY forum_msg_time DESC";

//=>MySQL
if ( SGBD == 'mysql' ) $sql .= " LIMIT 0, 10";
$sql .= ';';
//=>END

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


if ( $database->NbrRowsSelected ( $req ) > 0 )
{
    // Derniers messages sur les forums
    $menu_texte = "<ul>\n";

    $sql_limite = 0;

    while ( $row = $database->ResultArray ( $req ) )
    {
        if ( $sql_limite >= 10 )
        {
            continue;
        }

        if ( strlen ( $row['sujet_titre'] ) > 30 )
        {
            $sujet_titre = substr ( $row['sujet_titre'] , 0 , 27 ) . '...';
        }
        else
        {
            $sujet_titre = $row['sujet_titre'];
        }

        $sujet_titre = str_replace ( '"' , '&quote;' , $sujet_titre );

        $menu_texte .= '  <li><small><a href="index.' . EXT . '?page=Sujets&amp;msg=' . $row['forum_msg_id'] . '" title="' . $row['sujet_titre'] . '">' . $sujet_titre . '</a>' . $langue['_par_'];

        if ( $row['forum_msg_auteur'] == 0 )
        {
            $menu_texte .= $langue['anonyme'];
        }
        else
        {
            $menu_texte .= '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['forum_msg_auteur'] . '">' . $row['membre_nom'] . '</a>';
        }

        $menu_texte .= "</small></li>\n";

        $sql_limite++;
    }

    $menu_texte .= "</ul>\n\n";
}

?>