<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


$menu_titre = 'Livre d\'or';
$menu_texte = '';


$sql = "SELECT COUNT(*) AS count
        FROM " . $database->pref . "livre_or;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$nbr_msg = $database->Result ( $req , 'count' );


if ( $nbr_msg > 0 )
{
    $is_msg = false;

    while ( !$is_msg )
    {
        $rand = mt_rand ( 1 , $nbr_msg );

        $sql = "SELECT livre_texte,
                       livre_auteur
                FROM " . $database->pref . "livre_or
                WHERE livre_id = '" . $rand . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) > 0 )
        {
            $is_msg = true;
        }
    }

    $row = $database->ResultArray ( $req );

    if ( strlen ( $row['livre_texte'] ) > 100 )
    {
        $msg_texte = substr ( $row['livre_texte'] , 0 , 97 ) . '...';
    }
    else
    {
        $msg_texte = $row['livre_texte'];
    }

    //$msg_texte = str_replace ( '<' , '&gt;' , $msg_texte );
    //$msg_texte = str_replace ( '>' , '&lt;' , $msg_texte );
    //$msg_texte = str_replace ( '&' , '&amp;' , $msg_texte );
    //$msg_texte = nl2br ( $msg_texte );

    $menu_texte .= "<ul>\n  <li><a href=\"index." . EXT . '?page=Livre_or&amp;msg=' . $rand . '">Par ' . $row['livre_auteur'] . '</a>&nbsp;:<br /><q>' . $msg_texte . "</q></li>\n</ul>\n";
}

?>