<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


$menu_titre = 'Art les plus lus';
$menu_texte = '';


$sql = "SELECT `article_id`,
               `article_titre`,
               `article_auteur`,
               `membre_nom`
        FROM `" . $database->pref . "article_article`
        LEFT JOIN `" . $database->pref . "membres`
            ON `membre_id` = `article_auteur`
        WHERE `article_actif` = '1'
        ORDER BY `article_compteur` DESC
        LIMIT 0, 10;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


if ( $database->NbrRowsSelected ( $req ) > 0 )
{
    // Derniers articles
    $menu_texte = "<ul>\n";

    while ( $row = $database->ResultArray ( $req ) )
    {
        if ( strlen ( $row['article_titre'] ) > 30 )
        {
            $article_titre = substr ( $row['article_titre'] , 0 , 27 ) . '...';
        }
        else
        {
            $article_titre = $row['article_titre'];
        }

        $menu_texte .= '  <li><small><a href="index.' . EXT . '?page=Article&amp;id=' . $row['article_id'] . '">' . $article_titre . '</a>' . $langue['_par_'];

        if ( $row['article_auteur'] == 0 )
        {
            $menu_texte .= $langue['anonyme'];
        }
        else
        {
            $menu_texte .= '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['article_auteur'] . '">' . $row['membre_nom'] . '</a>';
        }

        $menu_texte .= "</small></li>\n";
    }

    $menu_texte .= "</ul>\n\n";
}

?>