<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


$menu_titre = 'Mess les plus lus';
$menu_texte = '';



$sql = "SELECT `sujet_titre`,
               `sujet_id`
        FROM `" . $database->pref . "forum_sujet`
        ORDER BY `sujet_compteur` DESC
        LIMIT 0, 10;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


if ( $database->NbrRowsSelected ( $req ) > 0 )
{
    // Derniers messages sur les forums
    $menu_texte = "<ul>\n";

    while ( $row = $database->ResultArray ( $req ) )
    {
        if ( strlen ( $row['sujet_titre'] ) > 30 )
        {
            $sujet_titre = substr ( $row['sujet_titre'] , 0 , 27 ) . '...';
        }
        else
        {
            $sujet_titre = $row['sujet_titre'];
        }

        $menu_texte .= '  <li><small><a href="index.' . EXT . '?page=Sujets&amp;id=' . $row['sujet_id'] . '" title="' . $row['sujet_titre'] . '">' . $sujet_titre . '</a>';
        $menu_texte .= "</small></li>\n";
    }

    $menu_texte .= "</ul>\n\n";
}

?>